Index: xincludes/SIOCGSTAMP.xml
===================================================================
--- xincludes/SIOCGSTAMP.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/SIOCGSTAMP.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
     <para>
Index: xincludes/X11R6_symlink.xml
===================================================================
--- xincludes/X11R6_symlink.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/X11R6_symlink.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$ -->
-    <!-- $Date$ -->
 
     <para>This package (unfortunately) expects the <application>X
Index: xincludes/gnome-mandir.xml
===================================================================
--- xincludes/gnome-mandir.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gnome-mandir.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -6,6 +6,4 @@
 ]>
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <!-- FIXME:ken - any use is probably no longer required, everything so far
Index: xincludes/gnome-old-prefix.xml
===================================================================
--- xincludes/gnome-old-prefix.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gnome-old-prefix.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <para><parameter>--prefix=$(pkg-config --variable=prefix
Index: xincludes/gnome-old-sysconfdir.xml
===================================================================
--- xincludes/gnome-old-sysconfdir.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gnome-old-sysconfdir.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -6,6 +6,4 @@
 ]>
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <para><parameter>--sysconfdir=<envar>&gnome-old-etc-dir;</envar></parameter>:
Index: xincludes/gnome-prefix.xml
===================================================================
--- xincludes/gnome-prefix.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gnome-prefix.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <para><parameter>--prefix=<envar>$GNOME_PREFIX</envar></parameter>: Setting
Index: xincludes/gnome-sysconfdir.xml
===================================================================
--- xincludes/gnome-sysconfdir.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gnome-sysconfdir.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -6,6 +6,4 @@
 ]>
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <para><parameter>--sysconfdir=<envar>$GNOME_SYSCONFDIR</envar></parameter>:
Index: xincludes/gnome2.xml
===================================================================
--- xincludes/gnome2.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gnome2.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
 
Index: xincludes/gsettings-destdir.xml
===================================================================
--- xincludes/gsettings-destdir.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gsettings-destdir.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -2,7 +2,4 @@
 <!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
-
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <note>
Index: xincludes/gst10-objc-error.xml
===================================================================
--- xincludes/gst10-objc-error.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gst10-objc-error.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <!-- As part of their move to Meson, the GStreamer developers included a
Index: xincludes/gst10-plugins.xml
===================================================================
--- xincludes/gst10-plugins.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gst10-plugins.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <!-- Since this is referenced in every GStreamer Plugins page, simplify
Index: xincludes/gtk-doc-rebuild-problem.xml
===================================================================
--- xincludes/gtk-doc-rebuild-problem.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gtk-doc-rebuild-problem.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <para><option>--enable-gtk-doc</option>: This parameter is normally
Index: xincludes/gtk-doc-rebuild.xml
===================================================================
--- xincludes/gtk-doc-rebuild.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gtk-doc-rebuild.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,7 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
-
     <para><option>--enable-gtk-doc</option>: Use this parameter if
     <application>GTK-Doc</application> is installed and you wish to rebuild
Index: xincludes/gtk-update-icon-cache.xml
===================================================================
--- xincludes/gtk-update-icon-cache.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/gtk-update-icon-cache.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -2,7 +2,4 @@
 <!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
-
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <note>
Index: xincludes/lib-config.xml
===================================================================
--- xincludes/lib-config.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/lib-config.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <para>As with most libraries, there is no configuration to do, save that the
Index: xincludes/meson-wrap-nodownload.xml
===================================================================
--- xincludes/meson-wrap-nodownload.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/meson-wrap-nodownload.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy: randy $
-     $Date: 2013-02-12 02:51:17 +0800 (二, 2013-02-12) $ -->
 
     <para>
Index: xincludes/mozconfigure.xml
===================================================================
--- xincludes/mozconfigure.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/mozconfigure.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
     <!-- to go inside a NOTE on mozilla packages which need SHELL
Index: xincludes/mozmach.xml
===================================================================
--- xincludes/mozmach.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/mozmach.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
     <!-- to go inside a NOTE on mozilla packages which need SHELL
Index: xincludes/mozshm.xml
===================================================================
--- xincludes/mozshm.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/mozshm.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
     <!-- to go inside a NOTE on mozilla packages which need shm
Index: xincludes/perl-build-install.xml
===================================================================
--- xincludes/perl-build-install.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/perl-build-install.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <para>
Index: xincludes/perl-standard-install.xml
===================================================================
--- xincludes/perl-standard-install.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/perl-standard-install.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <para>
Index: xincludes/perl-unsafe-install.xml
===================================================================
--- xincludes/perl-unsafe-install.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/perl-unsafe-install.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <!-- typically, these modules fail to reference inc::Module::Install
Index: xincludes/scrollkeeper-dir.xml
===================================================================
--- xincludes/scrollkeeper-dir.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/scrollkeeper-dir.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <para><parameter>--localstatedir=/var/lib</parameter>: This parameter is
Index: xincludes/static-libraries.xml
===================================================================
--- xincludes/static-libraries.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/static-libraries.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -2,7 +2,4 @@
 <!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
-
-<!-- $LastChangedBy$
-     $Date$ -->
 
     <para>
Index: xincludes/tex-lib.xml
===================================================================
--- xincludes/tex-lib.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/tex-lib.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <para>
Index: xincludes/tex-prefix.xml
===================================================================
--- xincludes/tex-prefix.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/tex-prefix.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <para>
Index: xincludes/tex-shared.xml
===================================================================
--- xincludes/tex-shared.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/tex-shared.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <para>
Index: xincludes/tex-system.xml
===================================================================
--- xincludes/tex-system.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/tex-system.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <para>
Index: xincludes/tex-xpdf.xml
===================================================================
--- xincludes/tex-xpdf.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/tex-xpdf.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <para>
Index: xincludes/texoptional.xml
===================================================================
--- xincludes/texoptional.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/texoptional.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <para role="optional">
Index: xincludes/texprogs.xml
===================================================================
--- xincludes/texprogs.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/texprogs.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -6,6 +6,4 @@
 ]>
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
           <para>The programs included in <application>TeX</application>
Index: xincludes/texrecommendlibs.xml
===================================================================
--- xincludes/texrecommendlibs.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/texrecommendlibs.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <para role="recommended">
Index: xincludes/texruntime.xml
===================================================================
--- xincludes/texruntime.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/texruntime.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <para role="recommended">
Index: xincludes/update-desktop-database.xml
===================================================================
--- xincludes/update-desktop-database.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/update-desktop-database.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <note>
Index: xincludes/update-icons-and-desktop.xml
===================================================================
--- xincludes/update-icons-and-desktop.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/update-icons-and-desktop.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
     <note>
Index: xincludes/use-unzip.xml
===================================================================
--- xincludes/use-unzip.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/use-unzip.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
 <note>
Index: xincludes/without-gnome.xml
===================================================================
--- xincludes/without-gnome.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/without-gnome.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-    <!-- $LastChangedBy$
-         $Date$ -->
 
 <note>
Index: xincludes/without-scrollkeeper.xml
===================================================================
--- xincludes/without-scrollkeeper.xml	(revision 84ac673046eac083e3f9658c20a1251b59bec37b)
+++ xincludes/without-scrollkeeper.xml	(revision 5156197a8be7a35bec8f0e58785238be57b5e6f1)
@@ -3,6 +3,4 @@
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
 
-<!-- $LastChangedBy$
-     $Date$ -->
 
     <para>