Index: general.ent
===================================================================
--- general.ent	(revision 908e7246076233b0376b533eb6bd7981aa1aa941)
+++ general.ent	(revision 05157638f966eddf676c9e03bdddbd96e07da397)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "09">                   <!-- Always 2 digits -->
+<!ENTITY day          "10">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "January 9th, &year;">
+<!ENTITY releasedate  "January 10th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/grantlee.xml
===================================================================
--- general/genlib/grantlee.xml	(revision 908e7246076233b0376b533eb6bd7981aa1aa941)
+++ general/genlib/grantlee.xml	(revision 05157638f966eddf676c9e03bdddbd96e07da397)
@@ -8,8 +8,8 @@
            "http://downloads.grantlee.org/grantlee-&grantlee-version;.tar.gz">
   <!ENTITY grantlee-download-ftp  " ">
-  <!ENTITY grantlee-md5sum        "57989ae9f7c113e682ef1713a6f1e92a">
+  <!ENTITY grantlee-md5sum        "6239b3703674f88b2236d30d0ed67eea">
   <!ENTITY grantlee-size          "1.1 MB">
-  <!ENTITY grantlee-buildsize     "23 MB">
-  <!ENTITY grantlee-time          "1.2 SBU">
+  <!ENTITY grantlee-buildsize     "22 MB">
+  <!ENTITY grantlee-time          "0.6 SBU (Using parallelism=4)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 908e7246076233b0376b533eb6bd7981aa1aa941)
+++ introduction/welcome/changelog.xml	(revision 05157638f966eddf676c9e03bdddbd96e07da397)
@@ -42,4 +42,26 @@
     </listitem>
 -->
+    <listitem>
+      <para>January 10th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to NetworkManager-1.22.4. Fixes
+          <ulink url="&blfs-ticket-root;13007">#13007</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to grantlee-5.2.0. Fixes
+          <ulink url="&blfs-ticket-root;13006">#13006</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to btrfs-progs-v5.4.1. Fixes
+          <ulink url="&blfs-ticket-root;13005">#13005</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mesa-19.3.2. Fixes
+          <ulink url="&blfs-ticket-root;13003">#13003</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>January 9th, 2020</para>
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision 908e7246076233b0376b533eb6bd7981aa1aa941)
+++ networking/netutils/networkmanager.xml	(revision 05157638f966eddf676c9e03bdddbd96e07da397)
@@ -9,7 +9,7 @@
   <!ENTITY NetworkManager-download-ftp
 "&gnome-download-ftp;/NetworkManager/&NetworkManager-minor;/NetworkManager-&NetworkManager-version;.tar.xz">
-  <!ENTITY NetworkManager-md5sum        "8da5f340426e03823e012c3800497990">
+  <!ENTITY NetworkManager-md5sum        "14e4933253b2135ccfb6adc97d322fab">
   <!ENTITY NetworkManager-size          "4.6 MB">
-  <!ENTITY NetworkManager-buildsize     "860 MB (with tests)">
+  <!ENTITY NetworkManager-buildsize     "861 MB (with tests)">
   <!ENTITY NetworkManager-time          "0.9 SBU (with tests; both using parallelism=4)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 908e7246076233b0376b533eb6bd7981aa1aa941)
+++ packages.ent	(revision 05157638f966eddf676c9e03bdddbd96e07da397)
@@ -45,5 +45,5 @@
 
 <!-- Chapter 5 -->
-<!ENTITY btrfs-progs-version          "5.4">
+<!ENTITY btrfs-progs-version          "5.4.1">
 <!ENTITY dosfstools-version           "4.1">
 <!ENTITY fuse3-version                "3.9.0">
@@ -103,5 +103,5 @@
 <!ENTITY gmime3-version               "3.2.5">
 <!ENTITY gobject-introspection-version "1.62.0">
-<!ENTITY grantlee-version             "5.1.0">
+<!ENTITY grantlee-version             "5.2.0">
 <!ENTITY gsl-version                  "2.6">
 <!ENTITY gspell-version               "1.8.2">
@@ -574,5 +574,5 @@
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-minor         "1.22">
-<!ENTITY NetworkManager-version       "&NetworkManager-minor;.2">
+<!ENTITY NetworkManager-version       "&NetworkManager-minor;.4">
 <!ENTITY nmap-version                 "7.80">
 <!ENTITY traceroute-version           "2.1.0">
@@ -665,5 +665,5 @@
 <!ENTITY xkeyboard-config-version     "2.28">
 <!ENTITY mesa-major-minor             "19.3">
-<!ENTITY mesa-version                 "&mesa-major-minor;.1">
+<!ENTITY mesa-version                 "&mesa-major-minor;.2">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision 908e7246076233b0376b533eb6bd7981aa1aa941)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 05157638f966eddf676c9e03bdddbd96e07da397)
@@ -7,8 +7,8 @@
   <!ENTITY btrfs-progs-download-http "&kernel-dl;/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v&btrfs-progs-version;.tar.xz">
   <!ENTITY btrfs-progs-download-ftp  " ">
-  <!ENTITY btrfs-progs-md5sum        "28a228877d7a252b64f99a734ff6b7cd">
+  <!ENTITY btrfs-progs-md5sum        "4fb3ac57dc4e0afcf723cdf34640179b">
   <!ENTITY btrfs-progs-size          "2.0 MB">
   <!ENTITY btrfs-progs-buildsize     "62 MB (add 71 MB for tests)">
-  <!ENTITY btrfs-progs-time          "0.2 SBU (add 16 SBU for tests)">
+  <!ENTITY btrfs-progs-time          "0.2 SBU (add 15 SBU for tests)">
 ]>
 
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision 908e7246076233b0376b533eb6bd7981aa1aa941)
+++ x/installing/mesa.xml	(revision 05157638f966eddf676c9e03bdddbd96e07da397)
@@ -7,5 +7,5 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "5c5965db31993af47fee82c9a7ccba5e">
+  <!ENTITY mesa-md5sum        "9de2503cce0b864b99ff15d74e5059e9">
   <!ENTITY mesa-size          "11 MB">
   <!ENTITY mesa-buildsize     "397 MB (with demos and docs), add 204 MB for tests">