Index: x/installing/xfree86-setup.xml
===================================================================
--- x/installing/xfree86-setup.xml	(revision d10f793de0e2d08064a70d9dab42d36eb3b9174d)
+++ x/installing/xfree86-setup.xml	(revision 5628618eb906041477db8da176602dc367caae76)
@@ -6,5 +6,5 @@
 <title>Checking Direct Rendering Infrastructure (DRI) Installation</title>
 <para>DRI is a framework for allowing software to access graphics hardware
-in a safe and effecient manner.  It is installed in XFree86 by default if 
+in a safe and efficient manner.  It is installed in XFree86 by default if 
 you have a supported video card.  To check if DRI is installed properly, 
 check the log file <filename>/var/log/XFree86.0.log</filename> for statements
Index: x/installing/xfree86/xfree86-config.xml
===================================================================
--- x/installing/xfree86/xfree86-config.xml	(revision d10f793de0e2d08064a70d9dab42d36eb3b9174d)
+++ x/installing/xfree86/xfree86-config.xml	(revision 5628618eb906041477db8da176602dc367caae76)
@@ -60,5 +60,5 @@
 <para>Test the system with
 <screen><userinput>XFree86 -xf86config ~/XF86Config.new</userinput></screen>
-You will only get a grey background with an X-shaped mouse cursor, but it 
+You will only get a gray background with an X-shaped mouse cursor, but it 
 confirms the system is working.  Exit with Control-Alt-Backspace.  If the 
 system does not work, take a look 
@@ -66,5 +66,5 @@
 wrong.</para>
 
-<para>Move the confiuration file to its final location
+<para>Move the configuration file to its final location
 <screen><userinput>mv ~/XF86Config.new /etc/X11/XF86Config-4</userinput></screen></para>
 
@@ -77,10 +77,10 @@
 EOF</userinput></screen>
 This provides an initial screen with an xterm and a clock that is managed by a 
-simple window manager, Tab Winow Manager.  For details of twm, see the 
+simple window manager, Tab Window Manager.  For details of twm, see the 
 man page.</para>
 
 <para>Start X with 
 <screen><userinput>startx</userinput></screen>
-to get basic funtional X Windows System.</para>
+to get basic functional X Windows System.</para>
 
 </sect2>
Index: x/installing/xfree86/xfree86-inst.xml
===================================================================
--- x/installing/xfree86/xfree86-inst.xml	(revision d10f793de0e2d08064a70d9dab42d36eb3b9174d)
+++ x/installing/xfree86/xfree86-inst.xml	(revision 5628618eb906041477db8da176602dc367caae76)
@@ -205,5 +205,5 @@
 depmod -a</userinput></screen>
 </para>
-<warning><para>If you recompile or updrade your kernel, you will need to re-copy the driver modules
+<warning><para>If you recompile or upgrade your kernel, you will need to re-copy the driver modules
 to the kernel module library and rerun depmod.</para></warning>
 </sect3>
Index: x/installing/xfree86/xfree86-intro.xml
===================================================================
--- x/installing/xfree86/xfree86-intro.xml	(revision d10f793de0e2d08064a70d9dab42d36eb3b9174d)
+++ x/installing/xfree86/xfree86-intro.xml	(revision 5628618eb906041477db8da176602dc367caae76)
@@ -27,5 +27,5 @@
 
 <para>The first three packages are the XFree86 programs, the fourth and fifth are fonts, 
-the sixth is normal documantation, and the seventh is hardcopy documentation.
+the sixth is normal documentation, and the seventh is hardcopy documentation.
 There are also two packages <filename>doctools-1.3.1.tgz</filename>,  which 
 contain programs to regenerate hardcopy documentation, and 
@@ -40,5 +40,5 @@
 The only differences you should see are for <filename>README</filename>, 
 <filename>doctools-1.3.1.tgz</filename>, and utils-1.1.0.tgz files if you did
-not downlaod them.
+not download them.
 </para>
 </sect2>
Index: x/lib/notification/startup-notification-intro.xml
===================================================================
--- x/lib/notification/startup-notification-intro.xml	(revision d10f793de0e2d08064a70d9dab42d36eb3b9174d)
+++ x/lib/notification/startup-notification-intro.xml	(revision 5628618eb906041477db8da176602dc367caae76)
@@ -10,5 +10,5 @@
 
 <para>The startup-notification package contains startup-notification
-libraries. These are useful for building a consistent manner to notifiy
+libraries. These are useful for building a consistent manner to notify
 the user through the cursor that the application is loading.</para>
 
Index: x/wm/fluxbox/fluxbox-exp.xml
===================================================================
--- x/wm/fluxbox/fluxbox-exp.xml	(revision d10f793de0e2d08064a70d9dab42d36eb3b9174d)
+++ x/wm/fluxbox/fluxbox-exp.xml	(revision 5628618eb906041477db8da176602dc367caae76)
@@ -5,6 +5,6 @@
 fluxbox's ability to allow kde tray icons to be placed in the slit.</para>
 
-<para><userinput>--enable-gnome</userinput> : This command activiates
-fluxbox's ablility to support gnome.</para>
+<para><userinput>--enable-gnome</userinput> : This command activates
+fluxbox's ability to support gnome.</para>
 
 </sect2>