Index: connect/dhcp/dhcpcd/dhcpcd.ent
===================================================================
--- connect/dhcp/dhcpcd/dhcpcd.ent	(revision 458342f025e560780c0609bed031ed9c99f78c52)
+++ connect/dhcp/dhcpcd/dhcpcd.ent	(revision 5792825b89eec914f2615692e0fc52ae2c1cf548)
@@ -3,10 +3,10 @@
 <!ENTITY dhcpcd-inst SYSTEM "dhcpcd-inst.xml">
 <!ENTITY dhcpcd-exp SYSTEM "dhcpcd-exp.xml">
+<!ENTITY dhcpcd-config SYSTEM "dhcpcd-config.xml">
 <!ENTITY dhcpcd-desc SYSTEM "dhcpcd-desc.xml">
-<!ENTITY dhcpcd-config SYSTEM "dhcpcd-config.xml">
+<!ENTITY dhcpcd-version "1.3.22-pl4">
+<!ENTITY dhcpcd-download-http "http://www.phystech.com/ftp/dhcpcd-&dhcpcd-version;.tar.gz">
+<!ENTITY dhcpcd-download-ftp "ftp://ftp.phystech.com/pub/dhcpcd-&dhcpcd-version;.tar.gz">
+<!ENTITY dhcpcd-size "145 KB">
 <!ENTITY dhcpcd-buildsize "750 KB">
-<!ENTITY dhcpcd-version "1.3.22-pl4">
-<!ENTITY dhcpcd-download-http "http://www.phystech.com/ftp/dhcpcd-1.3.22-pl4.tar.gz">
-<!ENTITY dhcpcd-download-ftp "ftp://ftp.phystech.com/pub/dhcpcd-1.3.22-pl4.tar.gz">
-<!ENTITY dhcpcd-size "145 KB">
 <!ENTITY dhcpcd-time "">
Index: connect/dialup/ppp/ppp.ent
===================================================================
--- connect/dialup/ppp/ppp.ent	(revision 458342f025e560780c0609bed031ed9c99f78c52)
+++ connect/dialup/ppp/ppp.ent	(revision 5792825b89eec914f2615692e0fc52ae2c1cf548)
@@ -2,10 +2,10 @@
 <!ENTITY ppp-intro SYSTEM "ppp-intro.xml">
 <!ENTITY ppp-inst SYSTEM "ppp-inst.xml">
+<!ENTITY ppp-config SYSTEM "ppp-config.xml">
 <!ENTITY ppp-desc SYSTEM "ppp-desc.xml">
-<!ENTITY ppp-config SYSTEM "ppp-config.xml">
+<!ENTITY ppp-version "2.4.1">
+<!ENTITY ppp-download-http "http://rz-obrian.rz.uni-karlsruhe.de/download/src/ppp-2.4/ppp-&ppp-version;.tar.gz">
+<!ENTITY ppp-download-ftp "ftp://cs.anu.edu.au/pub/software/ppp/ppp-&ppp-version;.tar.gz">
+<!ENTITY ppp-size "524 KB">
 <!ENTITY ppp-buildsize "4.1 MB">
-<!ENTITY ppp-version "2.4.1">
-<!ENTITY ppp-download-http "">
-<!ENTITY ppp-download-ftp "ftp://cs.anu.edu.au/pub/software/ppp/ppp-2.4.1.tar.gz">
-<!ENTITY ppp-size "524 KB">
-<!ENTITY ppp-time "">
+<!ENTITY ppp-time "0.09 SBU">
Index: connect/dialup/wvdial/wvdial.ent
===================================================================
--- connect/dialup/wvdial/wvdial.ent	(revision 458342f025e560780c0609bed031ed9c99f78c52)
+++ connect/dialup/wvdial/wvdial.ent	(revision 5792825b89eec914f2615692e0fc52ae2c1cf548)
@@ -2,11 +2,10 @@
 <!ENTITY wvdial-intro SYSTEM "wvdial-intro.xml">
 <!ENTITY wvdial-inst SYSTEM "wvdial-inst.xml">
+<!ENTITY wvdial-config SYSTEM "wvdial-config.xml">
 <!ENTITY wvdial-desc SYSTEM "wvdial-desc.xml">
-<!ENTITY wvdial-config SYSTEM "wvdial-config.xml">
+<!ENTITY wvdial-version "1.53">
+<!ENTITY wvdial-download-http "http://open.nit.ca/download/wvdial-&wvdial-version;.tar.gz">
+<!ENTITY wvdial-download-ftp "ftp://ftp.ing-steen.se/pub/unix/unsort/wvdial-&wvdial-version;.tar.gz">
+<!ENTITY wvdial-size "66 KB">
 <!ENTITY wvdial-buildsize "2.3 MB">
-<!ENTITY wvdial-version "1.53">
-<!ENTITY wvdial-download-http
-"http://open.nit.ca/download/wvdial-&wvdial-version;.tar.gz">
-<!ENTITY wvdial-download-ftp "">
-<!ENTITY wvdial-size "66 KB">
 <!ENTITY wvdial-time "0.06 SBU">
Index: connect/other/pppoe/pppoe.ent
===================================================================
--- connect/other/pppoe/pppoe.ent	(revision 458342f025e560780c0609bed031ed9c99f78c52)
+++ connect/other/pppoe/pppoe.ent	(revision 5792825b89eec914f2615692e0fc52ae2c1cf548)
@@ -3,10 +3,10 @@
 <!ENTITY pppoe-inst SYSTEM "pppoe-inst.xml">
 <!ENTITY pppoe-exp SYSTEM "pppoe-exp.xml">
+<!ENTITY pppoe-config SYSTEM "pppoe-config.xml">
 <!ENTITY pppoe-desc SYSTEM "pppoe-desc.xml">
-<!ENTITY pppoe-config SYSTEM "pppoe-config.xml">
+<!ENTITY pppoe-version "3.5">
+<!ENTITY pppoe-download-http "http://www.roaringpenguin.com/pppoe/rp-pppoe-&pppoe-version;.tar.gz">
+<!ENTITY pppoe-download-ftp "ftp://ftp.rutgers.edu/pub/slackware/slackware_source/n/rp-pppoe/rp-pppoe-&pppoe-version;.tar.gz">
+<!ENTITY pppoe-size "185 KB">
 <!ENTITY pppoe-buildsize "2.5 MB">
-<!ENTITY pppoe-version "3.5">
-<!ENTITY pppoe-download-http "http://www.roaringpenguin.com/pppoe/rp-pppoe-3.5.tar.gz">
-<!ENTITY pppoe-download-ftp "ftp://ftp.rutgers.edu/pub/slackware/slackware_source/n/rp-pppoe/rp-pppoe-3.5.tar.gz">
-<!ENTITY pppoe-size "185 KB">
 <!ENTITY pppoe-time "">
Index: index.xml
===================================================================
--- index.xml	(revision 458342f025e560780c0609bed031ed9c99f78c52)
+++ index.xml	(revision 5792825b89eec914f2615692e0fc52ae2c1cf548)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20031005">
-<!ENTITY releasedate "October 5th, 2003">
+<!ENTITY version "20031006">
+<!ENTITY releasedate "October 6th, 2003">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 458342f025e560780c0609bed031ed9c99f78c52)
+++ introduction/welcome/changelog.xml	(revision 5792825b89eec914f2615692e0fc52ae2c1cf548)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>October 6th, 2003 [igor]: Added missing http/ftp
+links (part IX).</para></listitem>
 
 <listitem><para>October 5th, 2003 [tushar]: Added libungif patch.