Index: server/other/openssh/openssh-config.xml
===================================================================
--- server/other/openssh/openssh-config.xml	(revision 42e54bc04d1dc259e7324db46742f8151a3b7158)
+++ server/other/openssh/openssh-config.xml	(revision 5842069d2c957f19aa4db78c61ee31f51582c328)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring OpenSSH</title>
+<title>Configuring <application>OpenSSH</application></title>
 
 <sect3><title>Config files</title>
@@ -19,5 +19,5 @@
 commands:</para>
 
-<para><screen><userinput>cat &gt; /etc/rc.d/init.d/sshd &lt;&lt; "EOF"</userinput>
+<para><screen><userinput><command>cat &gt; /etc/rc.d/init.d/sshd &lt;&lt; "EOF"</command>
 #!/bin/sh
 # Begin $rc_base/init.d/sshd
@@ -62,10 +62,10 @@
 
 # End $rc_base/init.d/sshd
-<userinput>EOF
-chmod 755 /etc/rc.d/init.d/sshd</userinput></screen></para>
+<command>EOF
+chmod 755 /etc/rc.d/init.d/sshd</command></userinput></screen></para>
 
 <para>Create the symbolic links to this file in the relevant <filename
 class="directory">rc.d</filename> directories with the following commands:
-<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
+<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
 ln -sf ../init.d/sshd ../rc0.d/K30sshd &amp;&amp;
 ln -sf ../init.d/sshd ../rc1.d/K30sshd &amp;&amp;
@@ -74,5 +74,5 @@
 ln -sf ../init.d/sshd ../rc4.d/S30sshd &amp;&amp;
 ln -sf ../init.d/sshd ../rc5.d/S30sshd &amp;&amp;
-ln -sf ../init.d/sshd ../rc6.d/K30sshd</userinput></screen></para>
+ln -sf ../init.d/sshd ../rc6.d/K30sshd</command></userinput></screen></para>
 
 </sect3>
Index: server/other/openssh/openssh-desc.xml
===================================================================
--- server/other/openssh/openssh-desc.xml	(revision 42e54bc04d1dc259e7324db46742f8151a3b7158)
+++ server/other/openssh/openssh-desc.xml	(revision 5842069d2c957f19aa4db78c61ee31f51582c328)
@@ -2,10 +2,10 @@
 <title>Contents</title>
 
-<para>The OpenSSH package contains <userinput>ssh</userinput>,
-<userinput>sshd</userinput>, <userinput>ssh-agent</userinput>,
-<userinput>ssh-add</userinput>, <userinput>sftp</userinput>,
-<userinput>scp</userinput>, <userinput>ssh-keygen</userinput>,
-<userinput>sftp-server</userinput> and
-<userinput>ssh-keyscan</userinput>.</para>
+<para>The <application>OpenSSH</application> package contains <command>ssh</command>,
+<command>sshd</command>, <command>ssh-agent</command>,
+<command>ssh-add</command>, <command>sftp</command>,
+<command>scp</command>, <command>ssh-keygen</command>,
+<command>sftp-server</command> and
+<command>ssh-keyscan</command>.</para>
 
 </sect2>
Index: server/other/openssh/openssh-exp.xml
===================================================================
--- server/other/openssh/openssh-exp.xml	(revision 42e54bc04d1dc259e7324db46742f8151a3b7158)
+++ server/other/openssh/openssh-exp.xml	(revision 5842069d2c957f19aa4db78c61ee31f51582c328)
@@ -2,8 +2,8 @@
 <title>Command explanations</title>
 
-<para><userinput>--sysconfigdir=/etc/ssh</userinput> : This prevents the 
+<para><command>--sysconfigdir=/etc/ssh</command> : This prevents the 
 configuration files from going to <filename>/usr/etc</filename>.</para>
 
-<para><userinput>--with-md5-passwords</userinput> : This is required
+<para><command>--with-md5-passwords</command> : This is required
 if you made the changes recommended by the shadowpasswd_plus lfs hint on
 your ssh server when you installed the Shadow Password Suite or if you
@@ -11,5 +11,6 @@
 md5. </para>
 
-<para><userinput>--libexecdir=/usr/sbin</userinput> : OpenSSH puts
+<para><command>--libexecdir=/usr/sbin</command> :
+<application>OpenSSH</application> puts
 programs called by programs in <filename class="directory">/usr/libexec</filename>.  sftp-server is a sshd
 utility and ssh-askpass is a ssh-add utility that is installed as a
Index: server/other/openssh/openssh-inst.xml
===================================================================
--- server/other/openssh/openssh-inst.xml	(revision 42e54bc04d1dc259e7324db46742f8151a3b7158)
+++ server/other/openssh/openssh-inst.xml	(revision 5842069d2c957f19aa4db78c61ee31f51582c328)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of OpenSSH</title>
+<title>Installation of <application>OpenSSH</application></title>
 
-<para>OpenSSH runs as two processes when connecting to other
+<para><application>OpenSSH</application> runs as two processes when connecting to other
 computers. The first process is a priviledged process and controls the
 issuance of privileges as necessary. The second process communicates
@@ -9,15 +9,15 @@
 commands:</para>
 
-<para><screen><userinput>mkdir /var/empty &amp;&amp;
+<para><screen><userinput><command>mkdir /var/empty &amp;&amp;
 chown root:sys /var/empty &amp;&amp;
 groupadd sshd &amp;&amp;
-useradd -g sshd sshd</userinput></screen></para>
+useradd -g sshd sshd</command></userinput></screen></para>
 
 <para>Install OpenSSH by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr --sysconfdir=/etc/ssh \
+<para><screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc/ssh \
 &nbsp;&nbsp;&nbsp;--libexecdir=/usr/sbin --with-md5-passwords &amp;&amp;
 make &amp;&amp;
-make install </userinput></screen></para>
+make install </command></userinput></screen></para>
 
 </sect2>
Index: server/other/openssh/openssh-intro.xml
===================================================================
--- server/other/openssh/openssh-intro.xml	(revision 42e54bc04d1dc259e7324db46742f8151a3b7158)
+++ server/other/openssh/openssh-intro.xml	(revision 5842069d2c957f19aa4db78c61ee31f51582c328)
@@ -2,17 +2,23 @@
 <title>Introduction to OpenSSH</title>
 
-<screen>Download location (HTTP):       <ulink url="&openssh-download-http;"/>
-Download location (FTP):        <ulink url="&openssh-download-ftp;"/>
-Version used:                   &openssh-version;
-Package size:                   &openssh-size;
-Estimated Disk space required:  &openssh-buildsize;</screen>
-
-<para>The OpenSSH package contains ssh clients and the sshd daemon.  This is 
+<para>The <application>OpenSSH</application> package contains ssh clients and the sshd daemon.
+This is
 useful for encrypting all traffic over a network.</para>
 
-<screen>OpenSSH depends on: 
-<xref linkend="openssl"/>
-OpenSSH will utilize: 
-X11-ssh-askpass and <xref linkend="Linux_PAM"/></screen>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&openssh-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&openssh-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &openssh-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &openssh-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &openssh-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>OpenSSH</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="openssl"/></para></sect4>
+<sect4><title>Optional</title>
+<para>X11-ssh-askpass and <xref linkend="Linux_PAM"/></para></sect4>
+</sect3>
 
 </sect2>
Index: server/other/openssh/openssh.ent
===================================================================
--- server/other/openssh/openssh.ent	(revision 42e54bc04d1dc259e7324db46742f8151a3b7158)
+++ server/other/openssh/openssh.ent	(revision 5842069d2c957f19aa4db78c61ee31f51582c328)
@@ -6,7 +6,7 @@
 <!ENTITY openssh-config SYSTEM "openssh-config.xml">
 <!ENTITY openssh-buildsize "8.3 MB">
-<!ENTITY openssh-version "3.6.1p1">
-<!ENTITY openssh-download-http "http://sunsite.ualberta.ca/pub/OpenBSD/OpenSSH/portable/openssh-3.6.1p1.tar.gz">
-<!ENTITY openssh-download-ftp "ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-3.6.1p1.tar.gz">
-<!ENTITY openssh-size "855 KB">
+<!ENTITY openssh-version "3.6.1p2">
+<!ENTITY openssh-download-http "http://sunsite.ualberta.ca/pub/OpenBSD/OpenSSH/portable/openssh-3.6.1p2.tar.gz">
+<!ENTITY openssh-download-ftp "ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-3.6.1p2.tar.gz">
+<!ENTITY openssh-size "864 KB">
 <!ENTITY openssh-time "0.71">