Index: multimedia/cdwriteutils/udftools.xml
===================================================================
--- multimedia/cdwriteutils/udftools.xml	(revision ff769b8c6178dd8b799a5e122a2e6a5d69a22a2c)
+++ multimedia/cdwriteutils/udftools.xml	(revision 5976163d838be0b94bf297136d11ae05953684bc)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
 <!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
    "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
@@ -13,83 +14,91 @@
 
 <sect1 id="udftools" xreflabel="UDFtools-&udftools-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="udftools.html"?>
-<title>UDFtools-&udftools-version;</title>
-<indexterm zone="udftools">
-<primary sortas="a-UDFTools">UDFtools</primary></indexterm>
-
-<sect2>
-<title>Introduction to 
-<application><acronym>UDF</acronym>tools</application></title>
-
-<para>The <application><acronym>UDF</acronym>tools</application> package 
-contains utilities for creating and mounting 
-<acronym>CD</acronym>-<acronym>RW</acronym> disks with
-<acronym>UDF</acronym> file systems for both
-reading and writing. <acronym>UDF</acronym> files systems are used on
-both <acronym>CD</acronym>-<acronym>RW</acronym> media and
-on <acronym>DVD</acronym>.  For more details of the
-<acronym>UDF</acronym> file system standard see:
-<ulink url="http://www.osta.org"/> and 
-<ulink url="http://www.ecma-international.org"/>.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): 
-<ulink url="&udftools-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&udftools-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: 
-&udftools-md5sum;</para></listitem>
-<listitem><para>Download size: 
-&udftools-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&udftools-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&udftools-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Required patch: <ulink
-url="http://w1.894.telia.com/~u89404340/patches/packet/2.6/packet-2.6.8-2.patch.bz2"/></para>
-</listitem>
-<listitem><para>Required patch: <ulink
-url="http://w1.894.telia.com/~u89404340/patches/packet/udftools-1.0.0b3.patch.bz2"/></para>
-</listitem>
-</itemizedlist></sect3>
-
-</sect2>
-
-<sect2 id="udftools-kernel">
-<title>Installation of the kernel patch</title>
-<indexterm zone="udftools udftools-kernel">
-<primary sortas="d-UDF-File-System">UDF File System</primary>
-</indexterm>
-
-<warning>
-<para>Note that this patch can permanently damage your <acronym>CD</acronym> 
-drive if it is from one of the few mentioned at 
-<ulink url="http://slashdot.org/article.pl?sid=03/10/25/1737244"/>. Do
-not apply the patch without first checking out the article.</para>
-</warning>
-
-<para>Install the kernel patch by running the following commands from
-the kernel source directory:</para>
-
-<screen><userinput><command>bzcat ../packet-2.6.8-2.patch.bz2 |patch -Np1</command></userinput></screen>
-
-<para>In the kernel configuration, modify your settings to match those listed
-here:</para>
-
-<screen>Block devices
+  <?dbhtml filename="udftools.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>UDFtools-&udftools-version;</title>
+
+  <indexterm zone="udftools">
+    <primary sortas="a-UDFTools">UDFtools</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to UDFtools</title>
+
+    <para>The <application>UDFtools</application> package contains utilities 
+    for creating and mounting CD-RW disks with UDF file systems for both
+    reading and writing. UDF files systems are used on both CD-RW media and
+    on DVD.  For more details of the UDF file system standard see:
+    <ulink url="http://www.osta.org"/> and 
+    <ulink url="http://www.ecma-international.org"/>.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&udftools-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&udftools-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &udftools-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &udftools-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &udftools-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &udftools-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Required patch: <ulink
+        url="http://w1.894.telia.com/~u89404340/patches/packet/2.6/packet-2.6.8-2.patch.bz2"/></para>
+      </listitem>
+      <listitem>
+        <para>Required patch: <ulink
+        url="http://w1.894.telia.com/~u89404340/patches/packet/udftools-1.0.0b3.patch.bz2"/></para>
+      </listitem>
+    </itemizedlist>
+
+  </sect2>
+
+  <sect2 id="udftools-kernel">
+    <title>Installation of the Kernel Patch</title>
+
+    <indexterm zone="udftools udftools-kernel">
+      <primary sortas="d-UDF-File-System">UDF File System</primary>
+    </indexterm>
+
+    <warning>
+      <para>Note that this patch can permanently damage your CD 
+      drive if it is from one of the few mentioned at 
+      <ulink url="http://slashdot.org/article.pl?sid=03/10/25/1737244"/>. Do
+      not apply the patch without first checking out the article.</para>
+    </warning>
+
+    <para>Install the kernel patch by running the following commands from
+    the kernel source directory:</para>
+
+<screen><userinput>bzcat ../packet-2.6.8-2.patch.bz2 | patch -Np1</userinput></screen>
+
+  <para>In the kernel configuration, modify your settings to match those listed
+  here:</para>
+
+<screen><literal>Block devices
     Packet writing on CD/DVD media:       Y or M
 CD-ROM/DVD Filesystems
-    UDF file system support               Y or M</screen>
-
-<para>Recompile and install the new kernel.</para>
+    UDF file system support               Y or M</literal></screen>
+
+    <para>Recompile and install the new kernel.</para>
 
 <!--
@@ -101,5 +110,5 @@
 <para>Finally, create the packet driver device nodes in <filename
 class="directory">/dev</filename>, add one node for every
-<acronym>CD</acronym>-<acronym>RW</acronym> drive you
+CD-RW drive you
 want to support:</para>
 
@@ -108,114 +117,126 @@
 -->
 
-</sect2>
-
-<sect2>
-<title>Installation of 
-<application><acronym>UDF</acronym>tools</application></title>
-
-<para>Install <application><acronym>UDF</acronym>tools</application> by 
-running the following commands:</para>
-
-<screen><userinput><command>bzcat ../udftools-1.0.0b3.patch.bz2 |patch -Np1 &amp;&amp;
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of UDFtools</title>
+
+    <para>Install <application>UDFtools</application> by 
+    running the following commands:</para>
+
+<screen><userinput>bzcat ../udftools-1.0.0b3.patch.bz2 | patch -Np1 &amp;&amp;
 ./configure --prefix=/usr &amp;&amp;
-make</command></userinput></screen>
-
-<para>Now, as the root user:</para>
-
-<screen><userinput role='root'><command>make install</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<segmentedlist>
-<segtitle>Installed Programs</segtitle>
-<segtitle>Installed Library</segtitle>
-<segtitle>Installed Directories</segtitle>
-<seglistitem>
-<seg>cdrwtool, mkudffs, pktsetup, udffsck and wrudf</seg>
-<seg>libudffs.a</seg>
-<seg>None</seg>
-</seglistitem>
-</segmentedlist>
-
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
-
-<varlistentry id="cdrwtool">
-<term><command>cdrwtool</command></term>
-<listitem><para> provides facilities to manage 
-<acronym>CD</acronym>-<acronym>RW</acronym> drives, including formatting 
-new disks, setting the read and write speeds, etc.</para>
-
-<para>Example:
-<screen><command>cdrwtool -d /dev/scd0 -q</command></screen>
-
-prepares a new <acronym>CD</acronym>-<acronym>RW</acronym> for use and
-formats it with a <acronym>UDF</acronym> file system.</para>
-<indexterm zone="udftools cdrwtool">
-<primary sortas="b-cdrwtool">cdrwtool</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="mkudffs">
-<term><command>mkudffs</command></term>
-<listitem><para>is used to create new <acronym>UDF</acronym> file systems. 
-It can be used on hard disks and <acronym>CD</acronym>-Rs as well as 
-<acronym>CD</acronym>-<acronym>RW</acronym>s.</para>
-<indexterm zone="udftools mkudffs">
-<primary sortas="b-mkudffs">mkudffs</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="pktsetup">
-<term><command>pktsetup</command></term>
-<listitem><para>is used to establish and break down associations between the 
-kernel packet driver and a physical drive.</para>
-
-<para>Example:
-<screen><command>pktsetup /dev/pktcdvd0 /dev/scd0
-mount /dev/pktcdvd0 /mnt/cdrom -t udf -o rw,noatime</command></screen>
-
-associates the physical device <filename>/dev/scd0</filename> with the
-kernel packet driver <filename>/dev/pktcdvd0</filename>, then mounts a
-<acronym>UDF</acronym> formatted <acronym>CD</acronym>-<acronym>RW</acronym> 
-for read/write access.</para>
-<indexterm zone="udftools pktsetup">
-<primary sortas="b-pktsetup">pktsetup</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="udffsck">
-<term><command>udffsck</command></term>
-<listitem><para>is used to check the integrity and correct errors on 
-<acronym>UDF</acronym> filesystems.</para>
-<indexterm zone="udftools udffsck">
-<primary sortas="b-udffsck">udffsck</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="wrudf">
-<term><command>wrudf</command></term>
-<listitem><para>is used to maintain a <acronym>UDF</acronym> filing 
-system.</para>
-<indexterm zone="udftools wrudf">
-<primary sortas="b-wrudf">wrudf</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="libudffs">
-<term><filename class='libraryfile'>libudffs.a</filename></term>
-<listitem><para>contains functions used by the 
-<application>UDFtools</application> programs.</para>
-<indexterm zone="udftools libudffs">
-<primary sortas="c-libudffs">libudffs.a</primary></indexterm>
-</listitem>
-</varlistentry>
-</variablelist>
-
-</sect2>
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>cdrwtool, mkudffs, pktsetup, udffsck, and wrudf</seg>
+        <seg>libudffs.a</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="cdrwtool">
+        <term><command>cdrwtool</command></term>
+        <listitem>
+          <para> provides facilities to manage CD-RW drives, including formatting 
+          new disks, setting the read and write speeds, etc.</para>
+
+          <para>Example:</para>
+
+<screen><userinput>cdrwtool -d /dev/scd0 -q</userinput></screen>
+
+          <para>prepares a new CD-RW for use and
+          formats it with a UDF file system.</para>
+          <indexterm zone="udftools cdrwtool">
+            <primary sortas="b-cdrwtool">cdrwtool</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mkudffs">
+        <term><command>mkudffs</command></term>
+        <listitem>
+          <para>is used to create new UDF file systems. It can be used on 
+          hard disks and CD-Rs as well as CD-RWs.</para>
+          <indexterm zone="udftools mkudffs">
+            <primary sortas="b-mkudffs">mkudffs</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="pktsetup">
+        <term><command>pktsetup</command></term>
+        <listitem>
+          <para>is used to establish and break down associations between the 
+          kernel packet driver and a physical drive.</para>
+
+          <para>Example:</para>
+
+<screen><userinput>pktsetup /dev/pktcdvd0 /dev/scd0
+mount /dev/pktcdvd0 /mnt/cdrom -t udf -o rw,noatime</userinput></screen>
+
+          <para>associates the physical device <filename>/dev/scd0</filename> 
+          with the kernel packet driver <filename>/dev/pktcdvd0</filename>, then 
+          mounts a UDF formatted CD-RW for read/write access.</para>
+          <indexterm zone="udftools pktsetup">
+            <primary sortas="b-pktsetup">pktsetup</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="udffsck">
+        <term><command>udffsck</command></term>
+        <listitem>
+          <para>is used to check the integrity and correct errors on 
+          UDF filesystems.</para>
+          <indexterm zone="udftools udffsck">
+            <primary sortas="b-udffsck">udffsck</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="wrudf">
+        <term><command>wrudf</command></term>
+        <listitem>
+          <para>is used to maintain a UDF filesystem.</para>
+          <indexterm zone="udftools wrudf">
+            <primary sortas="b-wrudf">wrudf</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libudffs">
+        <term><filename class='libraryfile'>libudffs.a</filename></term>
+        <listitem>
+          <para>contains functions used by the 
+          <application>UDFtools</application> programs.</para>
+          <indexterm zone="udftools libudffs">
+            <primary sortas="c-libudffs">libudffs.a</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
 
 </sect1>