Index: general.ent
===================================================================
--- general.ent	(revision 7bef0aa5eea72e1b90394f387779bbbe21fc722f)
+++ general.ent	(revision 6054745efb93f314cc9a7b4242bdec111f530995)
@@ -302,4 +302,5 @@
                                                        Required version in order to use
                                                        svg pixbuf loader. -->
+<!ENTITY libraw-version               "0.16.0">
 <!ENTITY libtiff-version              "4.0.3">
 <!ENTITY libwebp-version              "0.4.0">
Index: general/graphlib/graphlib.xml
===================================================================
--- general/graphlib/graphlib.xml	(revision 7bef0aa5eea72e1b90394f387779bbbe21fc722f)
+++ general/graphlib/graphlib.xml	(revision 6054745efb93f314cc9a7b4242bdec111f530995)
@@ -39,4 +39,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmng.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libpng.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libraw.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="librsvg.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libtiff.xml"/>
Index: general/graphlib/libraw.xml
===================================================================
--- general/graphlib/libraw.xml	(revision 6054745efb93f314cc9a7b4242bdec111f530995)
+++ general/graphlib/libraw.xml	(revision 6054745efb93f314cc9a7b4242bdec111f530995)
@@ -0,0 +1,193 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libraw-download-http "http://www.libraw.org/data/LibRaw-&libraw-version;.tar.gz">
+  <!ENTITY libraw-download-ftp  " ">
+  <!ENTITY libraw-md5sum        "21f569be043057b754d87e3062e2345a">
+  <!ENTITY libraw-size          "1.4 MB">
+  <!ENTITY libraw-buildsize     "21 MB">
+  <!ENTITY libraw-time          "0.4 SBU">
+]>
+
+<sect1 id="libraw" xreflabel="libraw-&libraw-version;">
+  <?dbhtml filename="libraw.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: fernando $</othername>
+    <date>$Date: 2014-02-20 08:45:35 -0600 (Thu, 20 Feb 2014) $</date>
+  </sect1info>
+
+  <title>libraw-&libraw-version;</title>
+
+  <indexterm zone="libraw">
+    <primary sortas="a-libraw">libraw</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libraw</title>
+
+    <para>
+      <application>Libraw</application> is a library for reading RAW files
+      obtained from digital photo cameras (CRW/CR2, NEF, RAF, DNG, and others). 
+    </para>
+
+    &lfs75_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libraw-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libraw-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libraw-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libraw-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libraw-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libraw-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libraw Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libjpeg"/>, 
+      <xref linkend="jasper"/>, and
+      <xref linkend="lcms2"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <ulink url="http://www.libraw.org/download">LibRaw-demosaic-pack-GPL2</ulink> and
+      <ulink url="http://www.libraw.org/download">LibRaw-demosaic-pack-GPL3</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/libraw"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libraw</title>
+
+    <para>
+      Install <application>libraw</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr    \
+            --enable-jpeg    \
+            --enable-jasper  \
+            --enable-lcms    \
+            --disable-static \
+            --docdir=/usr/share/doc/libraw-&libraw-version; &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite. 
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>--enable-jpeg</option>: This switch enables
+      support for jpeg. Remove if you don't have
+      <xref linkend="libjpeg"/> installed.
+    </para>
+  
+    <para>
+      <option>--enable-jasper</option>: This switch enables
+      support for jasper. Remove if you don't have
+      <xref linkend="jasper"/> installed.
+    </para>
+  
+    <para>
+      <option>--enable-jpeg</option>: This switch enables
+      support for Little CMS2. Remove if you don't have
+      <xref linkend="lcms2"/> installed.
+    </para>
+  
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          4channels, dcraw_half, mem_image, postprocessing_benchmark, 
+          simple_dcraw, dcraw_emu, half_mt, multirender_test, raw-identify,
+          and unprocessed_raw
+        </seg>
+        <seg>
+          libraw.so and libraw_r.so
+        </seg>
+        <seg>
+          /usr/include/libraw and
+          /usr/share/doc/libraw-&libraw-version;
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libraw-lib">
+        <term><filename class='libraryfile'>libraw.so</filename></term>
+        <listitem>
+          <para>
+            contains functions used for parsing, editing, and saving
+            data.
+          </para>
+          <indexterm zone="libraw libraw-lib">
+            <primary sortas="c-libraw">libraw.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+-->
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7bef0aa5eea72e1b90394f387779bbbe21fc722f)
+++ introduction/welcome/changelog.xml	(revision 6054745efb93f314cc9a7b4242bdec111f530995)
@@ -48,4 +48,7 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Add libraw-0.16.0.</para>
+        </listitem>
+        <listitem>
           <para>[igor] - Update to libXft-2.3.2. Fixes
           <ulink url="&blfs-ticket-root;5144">#5144</ulink>.</para>