Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision af702c1abfa6435502f8d426154329d7ce7b0e91)
+++ introduction/welcome/changelog.xml	(revision 6275877d0d94354c64e60814e8c052dfd50ba347)
@@ -22,4 +22,7 @@
 
 <itemizedlist>
+
+<listitem><para>February 3rd, 2005 [bdubbs]: Added index items to
+aRts.</para></listitem>
 
 <listitem><para>February 3rd, 2005 [dj]: Added index items to
Index: kde/core/arts.xml
===================================================================
--- kde/core/arts.xml	(revision af702c1abfa6435502f8d426154329d7ce7b0e91)
+++ kde/core/arts.xml	(revision 6275877d0d94354c64e60814e8c052dfd50ba347)
@@ -13,14 +13,16 @@
 ]>
 
-<sect1 id="kde-core-arts" xreflabel="aRts-&arts-version;">
+<sect1 id="aRts" xreflabel="aRts-&arts-version;">
 <sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
+  <othername>$LastChangedBy$</othername>
+  <date>$Date$</date>
 </sect1info>
 <?dbhtml filename="arts.html"?>
 <title><application><acronym>aRts</acronym></application>-&arts-version;</title>
 
-<sect2><title>Introduction to
-<application><acronym>aRts</acronym></application></title>
+<sect2><title>Introduction to <application><acronym>aRts</acronym></application></title>
+<indexterm zone='aRts'>
+  <primary sortas='a-ARts'>aRts</primary>
+</indexterm>
 
 <para>The Analog Real-time Synthesizer 
@@ -78,6 +80,9 @@
 <screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+ 
+<screen><userinput role='root'><command>make install</command></userinput></screen>
 
 </sect2>
@@ -100,26 +105,134 @@
 
 <sect2><title>Contents</title>
-<para><application><acronym>aRts</acronym></application> contains 
-<command>artsc-config</command>, <command>artscat</command>, 
-<command>artsd</command>, <command>artsdsp</command>, 
-<command>artsplay</command>, <command>artsrec</command>, 
-<command>artsshell</command>, <command>artswrapper</command>, 
-<command>mcopidl</command>, 
-<application><acronym>aRts</acronym></application> libraries and 
-<acronym>MCOP</acronym> objects.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-<para>To find out information about 
-<application><acronym>aRts</acronym></application> and the various programs 
-included in the package, see 
-<ulink url="http://docs.kde.org/en/3.3/kdemultimedia/artsbuilder/">The 
-<application><acronym>aRts</acronym></application> Handbook</ulink>. For 
-information in languages other then English, see the 
-<ulink url="http://docs.kde.org/">KDE Documentation</ulink> and navigate to 
-the <application><acronym>aRts</acronym></application> documentation in your 
+<segmentedlist>
+  <segtitle>Installed Programs</segtitle>
+  <segtitle>Installed Libraries</segtitle>
+ 
+  <seglistitem>
+    <seg>artsd, artswrapper, artsshell, artsplay, artsdsp, artscat, arts-control, 
+        artsc-config, mcopidl</seg>
+    <seg>aRts libraries</seg>
+  </seglistitem>
+</segmentedlist>
+ 
+<variablelist>
+  <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+  <?dbfo list-presentation="list"?>
+ 
+<varlistentry id="artsd">
+  <term><command>artsd</command></term>
+  <listitem>
+    <para>is a daemon that provides access to the sound hardware resources.</para>
+    <indexterm zone="aRts artsd">
+      <primary sortas="b-artsd">artsd</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+<varlistentry id="artswrapper">
+  <term><command>artswrapper</command></term>
+  <listitem>
+    <para>is a small wrapper program artswrapper which simply sets real-time priority (running as root) 
+          and then executes artsd as a non-root user.</para>
+    <indexterm zone="aRts artswrapper">
+      <primary sortas="b-artswrapper">artswrapper</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+<varlistentry id="artsshell">
+  <term><command>artsshell</command></term>
+  <listitem>
+    <para>is intended as a utility to perform miscellaneous functions related to the sound server.</para>
+    <indexterm zone="aRts artsshell">
+      <primary sortas="b-artsshell">artsshell</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+<varlistentry id="artsplay">
+  <term><command>artsplay</command></term>
+  <listitem>
+    <para>is a simple utility to play a sound file.</para>
+    <indexterm zone="aRts artsplay">
+      <primary sortas="b-artsplay">artsplay</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+<varlistentry id="artsdsp">
+  <term><command>artsdsp</command></term>
+  <listitem>
+    <para>provides an interim solution that allows most of legacy sound applications to run unchanged.</para>
+    <indexterm zone="aRts artsdsp">
+      <primary sortas="b-artsdsp">artsdsp</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+<varlistentry id="artscat">
+  <term><command>artscat</command></term>
+  <listitem>
+    <para>is a simple utility to send raw audio data to the sound server.</para>
+    <indexterm zone="aRts artscat">
+      <primary sortas="b-artscat">artscat</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+<varlistentry id="artscontrol">
+  <term><command>artscontrol</command></term>
+  <listitem>
+    <para>s a graphical utility for performing a number of tasks related to the sound server.</para>
+    <indexterm zone="aRts  artscontrol">
+      <primary sortas="b-artscontrol">artscontrol</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+<varlistentry id="artsc-config">
+  <term><command>artsc-config</command></term>
+  <listitem>
+    <para>is a utility to assist developers using the aRts C API.</para>
+    <indexterm zone="aRts  artsc-config">
+      <primary sortas="b-artsc-config">artsc-config</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+<varlistentry id="mcopidl">
+  <term><command>mcopidl</command></term>
+  <listitem>
+    <para>is the Interface Definition Language (IDL) file compiler for MCOP, 
+          the Multimedia Communication Protocol used by aRts.</para>
+    <indexterm zone="aRts  mcopidl">
+      <primary sortas="b-mcopidl">mcopidl</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+<varlistentry id="libaRts">
+  <term><filename class='libraryfile'>aRts Libraries</filename></term>
+  <listitem>
+    <para>contains functions that support aRts programs.</para>
+    <indexterm zone="aRts libaRts">
+      <primary sortas="c-libaRts">aRts Libraries</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+ 
+</variablelist>
+
+<para>To find out information about
+<application><acronym>aRts</acronym></application> and the various programs
+included in the package, see
+<ulink url="http://docs.kde.org/en/3.3/kdemultimedia/artsbuilder/">The
+<application><acronym>aRts</acronym></application> Handbook</ulink>. For
+information in languages other then English, see the
+<ulink url="http://docs.kde.org/">KDE Documentation</ulink> and navigate to
+the <application><acronym>aRts</acronym></application> documentation in your
 language.</para>
 
+
 </sect2>
 
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision af702c1abfa6435502f8d426154329d7ce7b0e91)
+++ kde/core/kdelibs.xml	(revision 6275877d0d94354c64e60814e8c052dfd50ba347)
@@ -61,5 +61,5 @@
 
 <sect4><title>Required</title>
-<para><xref linkend="kde-core-arts"/></para>
+<para><xref linkend="aRts"/></para>
 </sect4>
 
Index: multimedia/libdriv/arts.xml
===================================================================
--- multimedia/libdriv/arts.xml	(revision af702c1abfa6435502f8d426154329d7ce7b0e91)
+++ multimedia/libdriv/arts.xml	(revision 6275877d0d94354c64e60814e8c052dfd50ba347)
@@ -27,5 +27,5 @@
 standalone package. The installation instructions for 
 <application><acronym>aRts</acronym></application> can be found in the 
-<xref linkend="kde-core-arts"/> portion of the <acronym>KDE</acronym> 
+<xref linkend="aRts"/> portion of the <acronym>KDE</acronym> 
 installation instructions.</para>
 