Index: gnome/applications/eog.xml
===================================================================
--- gnome/applications/eog.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/applications/eog.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -5,8 +5,6 @@
   %general-entities;
 
-<!--  <!ENTITY eog-download-http "&gnome-download-http;/eog/&gnome-minor;/eog-&eog-version;.tar.xz">
-  <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/&gnome-minor;/eog-&eog-version;.tar.xz">-->
-  <!ENTITY eog-download-http "&gnome-download-http;/eog/3.12/eog-&eog-version;.tar.xz">
-  <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/3.12/eog-&eog-version;.tar.xz">
+  <!ENTITY eog-download-http "&gnome-download-http;/eog/&gnome-minor;/eog-&eog-version;.tar.xz">
+  <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/&gnome-minor;/eog-&eog-version;.tar.xz">
   <!ENTITY eog-md5sum        "dbd5951ab0336312e04a04497831882c">
   <!ENTITY eog-size          "3.5 MB">
Index: gnome/applications/gedit.xml
===================================================================
--- gnome/applications/gedit.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/applications/gedit.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -5,8 +5,6 @@
   %general-entities;
 
-<!--  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor;/gedit-&gedit-version;.tar.xz">-->
-  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/3.12/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/3.12/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor;/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor;/gedit-&gedit-version;.tar.xz">
   <!ENTITY gedit-md5sum        "d603299a2f885e48d8ba1cf8f16e3b6c">
   <!ENTITY gedit-size          "2.8 MB">
Index: gnome/applications/gucharmap.xml
===================================================================
--- gnome/applications/gucharmap.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/applications/gucharmap.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -6,7 +6,7 @@
 
   <!ENTITY gucharmap-download-http
-           "&gnome-download-http;/gucharmap/3.12/gucharmap-&gucharmap-version;.tar.xz">
+           "&gnome-download-http;/gucharmap/&gnome-minor;/gucharmap-&gucharmap-version;.tar.xz">
   <!ENTITY gucharmap-download-ftp
-           "&gnome-download-ftp;/gucharmap/3.12/gucharmap-&gucharmap-version;.tar.xz">
+           "&gnome-download-ftp;/gucharmap/&gnome-minor;/gucharmap-&gucharmap-version;.tar.xz">
   <!ENTITY gucharmap-md5sum        "008d144ac4f160ac4cc328bb7e48bc29">
   <!ENTITY gucharmap-size          "1.9 MB">
Index: gnome/applications/seahorse.xml
===================================================================
--- gnome/applications/seahorse.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/applications/seahorse.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -5,12 +5,8 @@
   %general-entities;
 
-<!--  <!ENTITY seahorse-download-http 
+  <!ENTITY seahorse-download-http 
            "&gnome-download-http;/seahorse/&gnome-minor;/seahorse-&seahorse-version;.tar.xz">
   <!ENTITY seahorse-download-ftp  
-           "&gnome-download-ftp;/seahorse/&gnome-minor;/seahorse-&seahorse-version;.tar.xz"> -->
-  <!ENTITY seahorse-download-http 
-           "&gnome-download-http;/seahorse/3.12/seahorse-&seahorse-version;.tar.xz">
-  <!ENTITY seahorse-download-ftp  
-           "&gnome-download-ftp;/seahorse/3.12/seahorse-&seahorse-version;.tar.xz">
+           "&gnome-download-ftp;/seahorse/&gnome-minor;/seahorse-&seahorse-version;.tar.xz">
   <!ENTITY seahorse-md5sum        "9cc6e4f4ede81290ea6cc4d2f73b7b36">
   <!ENTITY seahorse-size          "1.4 MB">
Index: gnome/platform/gcr.xml
===================================================================
--- gnome/platform/gcr.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/platform/gcr.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -5,8 +5,6 @@
   %general-entities;
 
-<!--  <!ENTITY gcr-download-http "&gnome-download-http;/gcr/&gnome-minor;/gcr-&gcr-version;.tar.xz">
-  <!ENTITY gcr-download-ftp  "&gnome-download-ftp;/gcr/&gnome-minor;/gcr-&gcr-version;.tar.xz">-->
-  <!ENTITY gcr-download-http "&gnome-download-http;/gcr/3.12/gcr-&gcr-version;.tar.xz">
-  <!ENTITY gcr-download-ftp  "&gnome-download-ftp;/gcr/3.12/gcr-&gcr-version;.tar.xz">
+  <!ENTITY gcr-download-http "&gnome-download-http;/gcr/&gnome-minor;/gcr-&gcr-version;.tar.xz">
+  <!ENTITY gcr-download-ftp  "&gnome-download-ftp;/gcr/&gnome-minor;/gcr-&gcr-version;.tar.xz">
   <!ENTITY gcr-md5sum        "e3f729d63b9b53ef99b5c19958bfb6c8">
   <!ENTITY gcr-size          "1.3 MB">
Index: gnome/platform/gnome-desktop.xml
===================================================================
--- gnome/platform/gnome-desktop.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/platform/gnome-desktop.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -5,12 +5,8 @@
   %general-entities;
 
-<!--  <!ENTITY gnome-desktop-download-http
+<!ENTITY gnome-desktop-download-http
            "&gnome-download-http;/gnome-desktop/&gnome-minor;/gnome-desktop-&gnome-desktop-version;.tar.xz">
   <!ENTITY gnome-desktop-download-ftp
-           "&gnome-download-ftp;/gnome-desktop/&gnome-minor;/gnome-desktop-&gnome-desktop-version;.tar.xz">-->
-<!ENTITY gnome-desktop-download-http
-           "&gnome-download-http;/gnome-desktop/3.12/gnome-desktop-&gnome-desktop-version;.tar.xz">
-  <!ENTITY gnome-desktop-download-ftp
-           "&gnome-download-ftp;/gnome-desktop/3.12/gnome-desktop-&gnome-desktop-version;.tar.xz">
+           "&gnome-download-ftp;/gnome-desktop/&gnome-minor;/gnome-desktop-&gnome-desktop-version;.tar.xz">
   <!ENTITY gnome-desktop-md5sum        "d4435879a3eab6c4ea39952cd02072c1">
   <!ENTITY gnome-desktop-size          "1.1 MB">
Index: gnome/platform/gnome-icon-theme-extras.xml
===================================================================
--- gnome/platform/gnome-icon-theme-extras.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/platform/gnome-icon-theme-extras.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -6,7 +6,7 @@
 
   <!ENTITY gnome-icon-theme-extras-download-http
-           "&gnome-download-http;/gnome-icon-theme-extras/3.12/gnome-icon-theme-extras-&gnome-icon-theme-extras-version;.tar.xz">
+           "&gnome-download-http;/gnome-icon-theme-extras/&gnome-minor;/gnome-icon-theme-extras-&gnome-icon-theme-extras-version;.tar.xz">
   <!ENTITY gnome-icon-theme-extras-download-ftp
-           "&gnome-download-ftp;/gnome-icon-theme-extras/3.12/gnome-icon-theme-extras-&gnome-icon-theme-extras-version;.tar.xz">
+           "&gnome-download-ftp;/gnome-icon-theme-extras/&gnome-minor;/gnome-icon-theme-extras-&gnome-icon-theme-extras-version;.tar.xz">
   <!ENTITY gnome-icon-theme-extras-md5sum        "91f8f7e35a3d8d926716d88b8b1e9a29">
   <!ENTITY gnome-icon-theme-extras-size          "1.7 MB">
Index: gnome/platform/gnome-icon-theme-symbolic.xml
===================================================================
--- gnome/platform/gnome-icon-theme-symbolic.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/platform/gnome-icon-theme-symbolic.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -5,12 +5,8 @@
   %general-entities;
 
-<!--  <!ENTITY gnome-icon-theme-symbolic-download-http
+  <!ENTITY gnome-icon-theme-symbolic-download-http
    "&gnome-download-http;/gnome-icon-theme-symbolic/&gnome-minor;/gnome-icon-theme-symbolic-&gnome-icon-theme-symbolic-version;.tar.xz">
   <!ENTITY gnome-icon-theme-symbolic-download-ftp
-   "&gnome-download-ftp;/gnome-icon-theme-symbolic/&gnome-minor;/gnome-icon-theme-symbolic-&gnome-icon-theme-symbolic-version;.tar.xz">-->
-  <!ENTITY gnome-icon-theme-symbolic-download-http
-   "&gnome-download-http;/gnome-icon-theme-symbolic/3.12/gnome-icon-theme-symbolic-&gnome-icon-theme-symbolic-version;.tar.xz">
-  <!ENTITY gnome-icon-theme-symbolic-download-ftp
-   "&gnome-download-ftp;/gnome-icon-theme-symbolic/3.12/gnome-icon-theme-symbolic-&gnome-icon-theme-symbolic-version;.tar.xz">
+   "&gnome-download-ftp;/gnome-icon-theme-symbolic/&gnome-minor;/gnome-icon-theme-symbolic-&gnome-icon-theme-symbolic-version;.tar.xz">
   <!ENTITY gnome-icon-theme-symbolic-md5sum        "3c9c0e6b9fa04b3cbbb84da825a26fd9">
   <!ENTITY gnome-icon-theme-symbolic-size          "228 KB">
Index: gnome/platform/gnome-keyring.xml
===================================================================
--- gnome/platform/gnome-keyring.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/platform/gnome-keyring.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -5,12 +5,8 @@
   %general-entities;
 
-<!--  <!ENTITY gnome-keyring-download-http
+  <!ENTITY gnome-keyring-download-http
            "&gnome-download-http;/gnome-keyring/&gnome-minor;/gnome-keyring-&gnome-keyring-version;.tar.xz">
   <!ENTITY gnome-keyring-download-ftp
-           "&gnome-download-ftp;/gnome-keyring/&gnome-minor;/gnome-keyring-&gnome-keyring-version;.tar.xz"> -->
-  <!ENTITY gnome-keyring-download-http
-           "&gnome-download-http;/gnome-keyring/3.12/gnome-keyring-&gnome-keyring-version;.tar.xz">
-  <!ENTITY gnome-keyring-download-ftp
-           "&gnome-download-ftp;/gnome-keyring/3.12/gnome-keyring-&gnome-keyring-version;.tar.xz">
+           "&gnome-download-ftp;/gnome-keyring/&gnome-minor;/gnome-keyring-&gnome-keyring-version;.tar.xz">
   <!ENTITY gnome-keyring-md5sum        "b0e2041c31c68b92f324d1ec7fa9d289">
   <!ENTITY gnome-keyring-size          "1.2 MB">
Index: gnome/platform/gsettings-desktop-schemas.xml
===================================================================
--- gnome/platform/gsettings-desktop-schemas.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/platform/gsettings-desktop-schemas.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -6,7 +6,7 @@
 
   <!ENTITY gsettings-desktop-schemas-download-http
-           "&gnome-download-http;/gsettings-desktop-schemas/3.12/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
+           "&gnome-download-http;/gsettings-desktop-schemas/&gnome-minor;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
   <!ENTITY gsettings-desktop-schemas-download-ftp
-           "&gnome-download-ftp;/gsettings-desktop-schemas/3.12/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
+           "&gnome-download-ftp;/gsettings-desktop-schemas/&gnome-minor;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
   <!ENTITY gsettings-desktop-schemas-md5sum        "cb5ae0d658d0627f8727672bbd5267f0">
   <!ENTITY gsettings-desktop-schemas-size          "468 KB">
Index: gnome/platform/gtksourceview.xml
===================================================================
--- gnome/platform/gtksourceview.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/platform/gtksourceview.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -5,12 +5,8 @@
   %general-entities;
 
-<!--  <!ENTITY gtksourceview-download-http
+  <!ENTITY gtksourceview-download-http
     "&gnome-download-http;/gtksourceview/&gnome-minor;/gtksourceview-&gtksourceview-version;.tar.xz">
   <!ENTITY gtksourceview-download-ftp
-    "&gnome-download-ftp;/gtksourceview/&gnome-minor;/gtksourceview-&gtksourceview-version;.tar.xz">-->
-  <!ENTITY gtksourceview-download-http
-    "&gnome-download-http;/gtksourceview/3.12/gtksourceview-&gtksourceview-version;.tar.xz">
-  <!ENTITY gtksourceview-download-ftp
-    "&gnome-download-ftp;/gtksourceview/3.12/gtksourceview-&gtksourceview-version;.tar.xz">
+    "&gnome-download-ftp;/gtksourceview/&gnome-minor;/gtksourceview-&gtksourceview-version;.tar.xz">
   <!ENTITY gtksourceview-md5sum        "8850fc0aee4893668ede37a30ef05e85">
   <!ENTITY gtksourceview-size          "1.2 MB">
Index: gnome/platform/totem-pl-parser.xml
===================================================================
--- gnome/platform/totem-pl-parser.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/platform/totem-pl-parser.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -6,7 +6,7 @@
 
   <!ENTITY totem-pl-parser-download-http
-   "&gnome-download-http;/totem-pl-parser/&gnome-minor;/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
+   "&gnome-download-http;/totem-pl-parser/3.10/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
   <!ENTITY totem-pl-parser-download-ftp
-   "&gnome-download-ftp;/totem-pl-parser/&gnome-minor;/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
+   "&gnome-download-ftp;/totem-pl-parser/3.10/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
   <!ENTITY totem-pl-parser-md5sum        "554242a4e3e0864e825cdf0ea3720a6d">
   <!ENTITY totem-pl-parser-size          "1.6 MB">
Index: gnome/platform/yelp.xml
===================================================================
--- gnome/platform/yelp.xml	(revision 479fc12ed8eb99a733de7af6fe1e8928953c8a3a)
+++ gnome/platform/yelp.xml	(revision 6336840da971b7246d19e31745b248b5b2e18ec6)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY yelp-download-http "&gnome-download-http;/yelp/3.12/yelp-&yelp-version;.tar.xz">
-  <!ENTITY yelp-download-ftp  "&gnome-download-ftp;/yelp/3.12/yelp-&yelp-version;.tar.xz">
+  <!ENTITY yelp-download-http "&gnome-download-http;/yelp/&gnome-minor;/yelp-&yelp-version;.tar.xz">
+  <!ENTITY yelp-download-ftp  "&gnome-download-ftp;/yelp/&gnome-minor;/yelp-&yelp-version;.tar.xz">
   <!ENTITY yelp-md5sum        "02f0383b02960766ea46059b9a02cf85">
   <!ENTITY yelp-size          "1.4 MB">