Index: general.ent
===================================================================
--- general.ent	(revision 8f331d759b4fa0749b009bfbdfe842e45df781bd)
+++ general.ent	(revision 6426122b774df5ac37a7d48da3a2b9923f321669)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "18">                   <!-- Always 2 digits -->
+<!ENTITY day          "19">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2007">
@@ -172,5 +172,5 @@
 <!ENTITY usbutils-version             "0.72">
 <!ENTITY pkgconfig-version            "0.21">
-<!ENTITY cpio-version                 "2.6">
+<!ENTITY cpio-version                 "2.7">
 <!ENTITY mc-version                   "4.6.1">
 <!ENTITY sysstat-version              "7.0.4">
Index: general/sysutils/cpio.xml
===================================================================
--- general/sysutils/cpio.xml	(revision 8f331d759b4fa0749b009bfbdfe842e45df781bd)
+++ general/sysutils/cpio.xml	(revision 6426122b774df5ac37a7d48da3a2b9923f321669)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY cpio-download-http "http://ftp.gnu.org/pub/gnu/cpio/cpio-&cpio-version;.tar.gz">
-  <!ENTITY cpio-download-ftp  "ftp://ftp.gnu.org/pub/gnu/cpio/cpio-&cpio-version;.tar.gz">
-  <!ENTITY cpio-md5sum        "76b4145f33df088a5bade3bf4373d17d">
-  <!ENTITY cpio-size          "561 KB">
-  <!ENTITY cpio-buildsize     "5.3 MB">
-  <!ENTITY cpio-time          "0.1 SBU">
+  <!ENTITY cpio-download-http "http://ftp.gnu.org/pub/gnu/cpio/cpio-&cpio-version;.tar.bz2">
+  <!ENTITY cpio-download-ftp  "ftp://ftp.gnu.org/pub/gnu/cpio/cpio-&cpio-version;.tar.bz2">
+  <!ENTITY cpio-md5sum        "69ad6cb3d288aafe5f969f68d9fd0fb7">
+  <!ENTITY cpio-size          "698 KB">
+  <!ENTITY cpio-buildsize     "10 MB">
+  <!ENTITY cpio-time          "0.2 SBU">
 ]>
 
@@ -55,5 +55,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <!-- <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -61,5 +61,5 @@
         url="&patch-root;/cpio-&cpio-version;-security_fixes-1.patch"/></para>
       </listitem>
-    </itemizedlist>
+    </itemizedlist> -->
 
     <para condition="html" role="usernotes">User Notes:
@@ -74,11 +74,9 @@
     commands:</para>
 
-<screen><userinput>sed -i "s/invalid_arg/argmatch_invalid/" src/mt.c &amp;&amp;
-patch -Np1 -i ../cpio-&cpio-version;-security_fixes-1.patch &amp;&amp;
-./configure CPIO_MT_PROG=mt --prefix=/usr \
-    --bindir=/bin --libexecdir=/tmp \
-    --with-rmt=/usr/sbin/rmt &amp;&amp;
-echo "#define HAVE_SETLOCALE 1" >> config.h &amp;&amp;
-echo "#define HAVE_LSTAT 1" >> config.h &amp;&amp;
+<screen><userinput>./configure CPIO_MT_PROG=mt \
+            --prefix=/usr \
+            --bindir=/bin \
+            --libexecdir=/tmp \
+            --with-rmt=/usr/sbin/rmt &amp;&amp;
 make</userinput></screen>
 
@@ -92,8 +90,5 @@
 makeinfo --plaintext -o doc/cpio.txt doc/cpio.texi</userinput></screen>
 
-    <para>To test the results, issue:</para>
-
-<screen><userinput>sed -i 's/static const char/const char/' tests/genfile.c &amp;&amp;
-make check</userinput></screen>
+    <para>To test the results, issue <command>make check</command></para>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
@@ -114,8 +109,4 @@
     <title>Command Explanations</title>
 
-    <para><command>sed -i "s/invalid_arg/argmatch_invalid/"
-    src/mt.c</command>: This command fixes a build problem with the
-    <command>mt</command> program.</para>
-
     <para><parameter>CPIO_MT_PROG=mt</parameter>: This parameter forces the
     building and installation of the <command>mt</command> program.</para>
@@ -133,16 +124,4 @@
     inhibits building the <command>rmt</command> program as it is already
     installed by the <application>Tar</application> package in LFS.</para>
-
-    <para><command>echo "#define HAVE_SETLOCALE 1" >> config.h</command>: This
-    command specifies that the system <application>Libc</application>
-    implements the setlocale function since it is not detected by
-    <command>configure</command>.</para>
-
-    <para><command>echo "#define HAVE_LSTAT 1" >> config.h</command>: This
-    define fixes a bug that causes <command>cpio</command> to convert symlinks
-    into regular files during archive creation.</para>
-
-    <para><command>sed -i 's/static const ...</command>:  This command fixes
-    a build problem when compiling the tests with GCC-&gcc-version;.</para>
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8f331d759b4fa0749b009bfbdfe842e45df781bd)
+++ introduction/welcome/changelog.xml	(revision 6426122b774df5ac37a7d48da3a2b9923f321669)
@@ -43,4 +43,13 @@
 
     <listitem>
+      <para>March 19th, 2007</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Updated to cpio-2.7.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>March 18th, 2007</para>
       <itemizedlist>