Index: general.ent
===================================================================
--- general.ent	(revision 412a8efa9bdb1d75ba14c82adab522fd4f8aacdb)
+++ general.ent	(revision 6494492c306eb8c44bdd940bda31c13b42f45dae)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "12">                   <!-- Always 2 digits -->
+<!ENTITY day          "14">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 12th, &year;">
+<!ENTITY releasedate  "February 14th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -699,4 +699,5 @@
 <!ENTITY gnome-control-center-version "3.2.2">
 <!ENTITY gnome-icon-theme-version     "2.30.3">
+<!ENTITY gnome-icon-theme-extras-version "3.0.0">
 <!ENTITY gnome-keyring-version        "2.30.3">
 <!ENTITY gnome-menus-version          "2.30.2">
Index: gnome/core/core.xml
===================================================================
--- gnome/core/core.xml	(revision 412a8efa9bdb1d75ba14c82adab522fd4f8aacdb)
+++ gnome/core/core.xml	(revision 6494492c306eb8c44bdd940bda31c13b42f45dae)
@@ -64,6 +64,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-control-center.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme.xml"/>
-  <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme-symbolic.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme-extras.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme-extras.xml"/>
+<!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme-symbolic.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-keyring.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-menus.xml"/>
Index: gnome/core/gnome-icon-theme-extras.xml
===================================================================
--- gnome/core/gnome-icon-theme-extras.xml	(revision 6494492c306eb8c44bdd940bda31c13b42f45dae)
+++ gnome/core/gnome-icon-theme-extras.xml	(revision 6494492c306eb8c44bdd940bda31c13b42f45dae)
@@ -0,0 +1,104 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-icon-theme-extras-download-http "&gnome-download-http;/gnome-icon-theme-extras/3.0/gnome-icon-theme-extras-&gnome-icon-theme-extras-version;.tar.bz2">
+  <!ENTITY gnome-icon-theme-extras-download-ftp  "&gnome-download-ftp;/gnome-icon-theme-extras/3.0/gnome-icon-theme-extras-&gnome-icon-theme-extras-version;.tar.bz2">
+  <!ENTITY gnome-icon-theme-extras-md5sum        "9358d5e10ffbc7e083bd1831951469be">
+  <!ENTITY gnome-icon-theme-extras-size          "2.0 MB">
+  <!ENTITY gnome-icon-theme-extras-buildsize     "9 MB">
+  <!ENTITY gnome-icon-theme-extras-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="gnome-icon-theme-extras" xreflabel="gnome-icon-theme-extras-&gnome-icon-theme-extras-version;">
+  <?dbhtml filename="gnome-icon-theme-extras.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gnome-icon-theme-extras-&gnome-icon-theme-extras-version;</title>
+
+  <indexterm zone="gnome-icon-theme-extras">
+    <primary sortas="a-gnome-icon-theme-extras">gnome-icon-theme-extras</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to gnome-icon-theme-extras</title>
+
+    <para>The <application>gnome-icon-theme-extras</application> package contains
+    extra icons for the <application>GNOME</application>desktop.</para>
+
+    &lfs68_built;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&gnome-icon-theme-extras-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&gnome-icon-theme-extras-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &gnome-icon-theme-extras-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &gnome-icon-theme-extras-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &gnome-icon-theme-extras-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &gnome-icon-theme-extras-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">gnome-icon-theme-extras Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="gnome-icon-theme"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/gnome-icon-theme-extras"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of gnome-icon-theme-extras</title>
+
+    <para>Install <application>gnome-icon-theme-extras</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=$GNOME_PREFIX &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>None</seg>
+        <seg>None</seg>
+        <seg>None, extra png files in ${GNOME_PREFIX}/share/icons/gnome/</seg>
+      </seglistitem>
+    </segmentedlist>
+
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 412a8efa9bdb1d75ba14c82adab522fd4f8aacdb)
+++ introduction/welcome/changelog.xml	(revision 6494492c306eb8c44bdd940bda31c13b42f45dae)
@@ -43,4 +43,13 @@
 -->
     <listitem>
+      <para>February 14th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - add gnome-icon-theme-extras-3.0.0 from Wayne.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 12th, 2012</para>
       <itemizedlist>