Index: general.ent
===================================================================
--- general.ent	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general.ent	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "18">                   <!-- Always 2 digits -->
+<!ENTITY day          "19">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 18th &year;">
+<!ENTITY releasedate  "February 19th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/js2.xml
===================================================================
--- general/genlib/js2.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general/genlib/js2.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libdaemon.xml
===================================================================
--- general/genlib/libdaemon.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general/genlib/libdaemon.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libmbim.xml
===================================================================
--- general/genlib/libmbim.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general/genlib/libmbim.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libqmi.xml
===================================================================
--- general/genlib/libqmi.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general/genlib/libqmi.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libusb-compat.xml
===================================================================
--- general/genlib/libusb-compat.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general/genlib/libusb-compat.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/pinentry.xml
===================================================================
--- general/genutils/pinentry.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general/genutils/pinentry.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -42,5 +42,5 @@
     toolkits.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/newt.xml
===================================================================
--- general/graphlib/newt.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general/graphlib/newt.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/dbus-python.xml
===================================================================
--- general/prog/dbus-python.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general/prog/dbus-python.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs7a_checked;
+      &lfs80_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/sysutils/modemmanager.xml
===================================================================
--- general/sysutils/modemmanager.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ general/sysutils/modemmanager.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gjs.xml
===================================================================
--- gnome/platform/gjs.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ gnome/platform/gjs.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-keyring.xml
===================================================================
--- gnome/platform/gnome-keyring.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ gnome/platform/gnome-keyring.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/notification-daemon.xml
===================================================================
--- gnome/platform/notification-daemon.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ gnome/platform/notification-daemon.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ introduction/welcome/changelog.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -43,4 +43,14 @@
 -->
     <listitem>
+      <para>February 19th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to NetworkManager-1.6.2. Fixes
+          <ulink url="&blfs-ticket-root;8888">#8888</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 18th, 2017</para>
       <itemizedlist>
Index: networking/connect/dhcpcd.xml
===================================================================
--- networking/connect/dhcpcd.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ networking/connect/dhcpcd.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -36,5 +36,5 @@
     DHCP client.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/geoclue.xml
===================================================================
--- networking/netlibs/geoclue.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ networking/netlibs/geoclue.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/geoclue2.xml
===================================================================
--- networking/netlibs/geoclue2.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ networking/netlibs/geoclue2.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libndp.xml
===================================================================
--- networking/netlibs/libndp.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ networking/netlibs/libndp.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libnl.xml
===================================================================
--- networking/netlibs/libnl.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ networking/netlibs/libnl.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/avahi.xml
===================================================================
--- networking/netutils/avahi.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ networking/netutils/avahi.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ networking/netutils/networkmanager.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -9,8 +9,8 @@
   <!ENTITY NetworkManager-download-ftp
            "&gnome-download-ftp;/NetworkManager/1.6/NetworkManager-&NetworkManager-version;.tar.xz">
-  <!ENTITY NetworkManager-md5sum        "ccdac1d03133a59065cbb93a09fa54b0">
+  <!ENTITY NetworkManager-md5sum        "89c975afe19fbac854191edb6e9bcd3b">
   <!ENTITY NetworkManager-size          "3.6 MB">
-  <!ENTITY NetworkManager-buildsize     "580 MB (with tests)">
-  <!ENTITY NetworkManager-time          "2.8 SBU (with tests)">
+  <!ENTITY NetworkManager-buildsize     "581 MB (with tests)">
+  <!ENTITY NetworkManager-time          "3.8 SBU (with tests)">
 ]>
 
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <note revision="systemd">
Index: packages.ent
===================================================================
--- packages.ent	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ packages.ent	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -414,5 +414,5 @@
 <!ENTITY bind-version                 "&bind-minor-version;.0-P3">
 <!ENTITY mod_dnssd-version            "0.6">
-<!ENTITY NetworkManager-version       "1.6.0">
+<!ENTITY NetworkManager-version       "1.6.2">
 <!ENTITY nmap-version                 "7.40">
 <!ENTITY traceroute-version           "2.1.0">
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision 2ec0de946a0488295bfe586ce97c4f6e2e0615bf)
+++ postlfs/security/gnupg2.xml	(revision 6827378a8cefc11d026ce32f922cb70e0afd678a)
@@ -38,5 +38,5 @@
     S/MIME.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>