Index: content/web/apache.xml
===================================================================
--- content/web/apache.xml	(revision ebe1291d0ba08ba8970f91a6ccc2e2cefcc84f95)
+++ content/web/apache.xml	(revision 6893009c4e04d3b4c6230737e819db4e7e3cb2e5)
@@ -20,4 +20,6 @@
 <?dbhtml filename="apache.html"?>
 <title>Apache-&apache-version;</title>
+<indexterm zone="apache">
+<primary sortas="a-Apache">Apache</primary></indexterm>
 
 <sect2>
@@ -64,8 +66,9 @@
 
 <para>For security reasons, running the server as an unprivileged user and 
-group is strongly encouraged.</para>
+group is strongly encouraged. Create the following group and user using the 
+following commands (as root):</para>
 
 <screen><userinput><command>groupadd apache &amp;&amp;
-useradd -c apache -d /dev/null -g apache -s /bin/false apache</command></userinput></screen>
+useradd -c "Apache Server" -d /dev/null -g apache -s /bin/false apache</command></userinput></screen>
 
 <para>The following patch will define the layout of destination directories
@@ -82,10 +85,13 @@
 <screen><userinput><command>./configure --enable-layout=FHS \
     --enable-mods-shared=all &amp;&amp;
-make &amp;&amp;
-make install &amp;&amp;
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>make install &amp;&amp;
 chown root:root /usr/sbin/{apxs,apachectl,dbmmanage,envvars-std,envvars} \
     /usr/include/apache/* /usr/lib/apache/httpd.exp \
     /usr/share/man/man1/{dbmmanage,htdigest,htpasswd}.1 \
-    /usr/share/man/man8/{ab,apachectl,apxs,httpd}.8 &amp;&amp;
+    /usr/share/man/man8/{ab,apachectl,apxs,httpd}.8 \
     /usr/share/man/man8/{logresolve,rotatelogs,suexec}.8 &amp;&amp;
 chown -R apache:apache /srv/www</command></userinput></screen>
@@ -128,9 +134,13 @@
 <title>Configuring <application>Apache</application></title>
 
-<sect3>
+<sect3 id="apache-config">
 <title>Config files</title>
 
 <para><filename>/etc/apache/*</filename></para>
-
+<indexterm zone="apache apache-config">
+<primary sortas="e-etc-apache">/etc/apache/*</primary></indexterm>
+<indexterm zone="apache apache-config">
+<primary sortas="e-etc-apache-httpd.conf">/etc/apache/httpd.conf</primary>
+</indexterm>
 </sect3>
 
@@ -157,7 +167,10 @@
     /etc/apache/httpd.conf</command></userinput></screen>
 
-<para>Install the <filename>/etc/rc.d/init.d/apache</filename>
-init script included in the <xref linkend="intro-important-bootscripts"/> 
-package.</para>
+<para id="apache-init">If you want the <application>Apache</application> 
+server to start automatically when the system is booted, install the 
+<filename>/etc/rc.d/init.d/apache</filename> init script included in the 
+<xref linkend="intro-important-bootscripts"/> package.</para>
+<indexterm zone="apache apache-init"> 
+<primary sortas="f-apache">apache</primary></indexterm>
 
 <screen><userinput><command>make install-apache</command></userinput></screen>
@@ -169,75 +182,117 @@
 <title>Contents</title>
 
-<para>The <application>Apache</application> package provides
-<command>ab</command>,
-<command>apachectl</command>,
-<command>apr-config</command>,
-<command>apu-config</command>,
-<command>apxs</command>,
-<command>checkgid</command>,
-<command>dbmmanage</command>,
-<command>htdbm</command>,
-<command>htdigest</command>,
-<command>htpasswd</command>,
-<command>httpd</command>,
-<command>instdso.sh</command>,
-<command>logresolve</command>,
-<command>rotatelogs</command>,
-<filename class="libraryfile">libapr</filename>,
-<filename class="libraryfile">libaprutil</filename> and
-various modules.</para>
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>ab</title>
-<para><command>ab</command> is a tool for benchmarking your
-<application>Apache</application> <acronym>HTTP</acronym> server.
-</para></sect3>
-
-<sect3><title>apachectl</title>
-<para><command>apachectl</command> is a front end to the
-<application>Apache</application> <acronym>HTTP</acronym> 
-server which is designed to help the administrator control the
-functioning of the <application>Apache</application> httpd daemon.</para>
-</sect3>
-
-<sect3><title>apxs</title>
-<para><command>apxs</command> 
-is a tool for building and installing extension modules for the
-<application>Apache</application> <acronym>HTTP</acronym> server.</para></sect3>
-
-<sect3><title>dbmmanage</title>
-<para><command>dbmmanage</command> is used to create and update the
-<filename>DBM</filename> format files used to store usernames and passwords  
-for basic authentication of <acronym>HTTP</acronym>
-users.</para></sect3>
-
-<sect3><title>htdigest</title>
-<para><command>htdigest</command> is used to create and update the
-flat-files used to store usernames, realms and passwords for digest 
-authentication of <acronym>HTTP</acronym> users.</para></sect3>
-
-<sect3><title>htpasswd</title>
-<para><command>htpasswd</command> is used to create and update the
-flat-files used to store usernames and passwords for basic authentication of 
-<acronym>HTTP</acronym> users.</para></sect3>
-
-<sect3><title>httpd</title>
-<para><command>httpd</command> is the <application>Apache</application> 
-<acronym>HTTP</acronym> server program.</para></sect3>
-
-<sect3><title>instdso.sh</title>
-<para><command>instdso.sh</command> is a script which installs
-<application>Apache</application> <acronym>DSO</acronym> modules.</para></sect3>
-
-<sect3><title>logresolve</title>
-<para><command>logresolve</command> is a post-processing program to
-resolve <acronym>IP</acronym>-addresses in <application>Apache</application>'s 
-access log files.</para></sect3>
-
-<sect3><title>rotatelogs</title>
-<para><command>rotatelogs</command> is a simple program for use in conjunction 
-with <application>Apache</application>'s piped log file feature.</para></sect3>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
+<segtitle>Installed Directories</segtitle>
+<seglistitem>
+<seg>ab, apachectl, apr-config, apu-config, apxs, checkgid, dbmmanage, htdbm, 
+htdigest, htpasswd, httpd, instdso.sh, logresolve and rotatelogs</seg>
+<seg>libapr-0.[so,a], libaprutil-0.[so,a] and /usr/lib/apache/*.so</seg>
+<seg>/etc/apache, /srv/www, /usr/include/apache, /usr/lib/apache and 
+/var/log/apache</seg>
+</seglistitem>
+</segmentedlist>
+
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
+
+<varlistentry id="ab">
+<term><command>ab</command></term>
+<listitem><para>is a tool for benchmarking your 
+<application>Apache</application> <acronym>HTTP</acronym> server.</para>
+<indexterm zone="apache ab">
+<primary sortas="b-ab">ab</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="apachectl">
+<term><command>apachectl</command></term>
+<listitem><para>is a front end to the <application>Apache</application> 
+<acronym>HTTP</acronym> server which is designed to help the administrator 
+control the functioning of the <application>Apache</application> httpd 
+daemon.</para>
+<indexterm zone="apache apachectl">
+<primary sortas="b-apachectl">apachectl</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="apxs">
+<term><command>apxs</command></term>
+<listitem><para>is a tool for building and installing extension modules for 
+the <application>Apache</application> <acronym>HTTP</acronym> server.</para>
+<indexterm zone="apache apxs">
+<primary sortas="b-apxs">apxs</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="dbmanage">
+<term><command>dbmanage</command></term>
+<listitem><para>is used to create and update the <filename>DBM</filename> 
+format files used to store usernames and passwords for basic authentication 
+of <acronym>HTTP</acronym> users.</para>
+<indexterm zone="apache dbmanage">
+<primary sortas="b-dbmanage">dbmanage</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="htdigest">
+<term><command>htdigest</command></term>
+<listitem><para>is used to create and update the flat-files used to store 
+usernames, realms and passwords for digest authentication of 
+<acronym>HTTP</acronym> users.</para>
+<indexterm zone="apache htdigest">
+<primary sortas="b-htdigest">htdigest</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="htpasswd">
+<term><command>htpasswd</command></term>
+<listitem><para>is used to create and update the flat-files used to store 
+usernames and passwords for basic authentication of <acronym>HTTP</acronym> 
+users.</para>
+<indexterm zone="apache htpasswd">
+<primary sortas="b-htpasswd">htpasswd</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="httpd">
+<term><command>httpd</command></term>
+<listitem><para>is the <application>Apache</application> 
+<acronym>HTTP</acronym> server program.</para>
+<indexterm zone="apache httpd">
+<primary sortas="b-httpd">httpd</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="instdso.sh">
+<term><command>instdso.sh</command></term>
+<listitem><para>is a script which installs <application>Apache</application> 
+<acronym>DSO</acronym> modules.</para>
+<indexterm zone="apache instdso.sh">
+<primary sortas="b-instdso.sh">instdso.sh</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="logresolve">
+<term><command>logresolve</command></term>
+<listitem><para>is a post-processing program to resolve 
+<acronym>IP</acronym>-addresses in <application>Apache</application>'s 
+access log files.</para>
+<indexterm zone="apache logresolve">
+<primary sortas="b-logresolve">logresolve</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="rotatelogs">
+<term><command>rotatelogs</command></term>
+<listitem><para>is a simple program for use in conjunction with 
+<application>Apache</application>'s piped log file feature.</para>
+<indexterm zone="apache rotatelogs">
+<primary sortas="b-rotatelogs">rotatelogs</primary></indexterm>
+</listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>
Index: template/template.xml
===================================================================
--- template/template.xml	(revision ebe1291d0ba08ba8970f91a6ccc2e2cefcc84f95)
+++ template/template.xml	(revision 6893009c4e04d3b4c6230737e819db4e7e3cb2e5)
@@ -118,5 +118,5 @@
 <xref linkend="intro-important-bootscripts"/> package.</para> 
 <indexterm zone="TEMPLATE-package TEMPLATE-init"> 
-<primary sortas="f-TEMPLATE-init">TEMPLATE</primary></indexterm> 
+<primary sortas="f-TEMPLATE">TEMPLATE</primary></indexterm> 
 
 <screen><userinput><command>make install-TEMPLATE</command></userinput></screen>
@@ -135,5 +135,5 @@
 <seg>PROGRAM1, PROGRAM2 and PROGRAM3</seg>
 <seg>libLIBRARY1, libLIBRARY2 and libLIBRARY3</seg>
-<seg>/etc/TEMPLATE, /usr/lib/TEMPLATE, 
+<seg>/etc/TEMPLATE, /usr/include/TEMPLATE, /usr/lib/TEMPLATE, 
 /usr/share/TEMPLATE-&TEMPLATE-version;, 
 /usr/share/doc/TEMPLATE-&TEMPLATE-version; and 
@@ -163,8 +163,8 @@
 
 <varlistentry id="libLIBRARY1">
-<term><filename class='libraryfile'>libLIBRARY1</filename></term>
+<term><filename class='libraryfile'>libLIBRARY1.[so,a]</filename></term>
 <listitem><para>contains functions that .....</para>
 <indexterm zone="TEMPLATE-package libLIBRARY1">
-<primary sortas="c-libLIBRARY1">libLIBRARY1</primary></indexterm>
+<primary sortas="c-libLIBRARY1">libLIBRARY1.[so,a]</primary></indexterm>
 </listitem>
 </varlistentry>