Index: general.ent
===================================================================
--- general.ent	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ general.ent	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -231,5 +231,5 @@
 <!ENTITY JS-version                   "17.0.0">
 <!ENTITY json-c-version               "0.11">
-<!ENTITY json-glib-version            "0.16.2">
+<!ENTITY json-glib-version            "1.0.0">
 <!ENTITY keyutils-version             "1.5.9">
 <!ENTITY libarchive-version           "3.1.2">
@@ -398,6 +398,6 @@
 <!ENTITY tcl-version                  "8.6.1">
 <!ENTITY tk-version                   "8.6.1">
-<!ENTITY vala-major-version           "0.22">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.1">
+<!ENTITY vala-major-version           "0.24">  <!-- even minors only -->
+<!ENTITY vala-version                 "&vala-major-version;.0">
 <!ENTITY valgrind-version             "3.9.0">
 <!ENTITY yasm-version                 "1.2.0">
@@ -547,8 +547,8 @@
 <!-- Chapter 25 -->
 <!ENTITY agg-version                  "2.5">
-<!ENTITY atk-version                  "2.10.0">
+<!ENTITY atk-version                  "2.12.0">
 <!ENTITY atkmm-version                "2.22.7">
-<!ENTITY at-spi2-core-version         "2.10.2">
-<!ENTITY at-spi2-atk-version          "2.10.2">
+<!ENTITY at-spi2-core-version         "2.12.0">
+<!ENTITY at-spi2-atk-version          "2.12.0">
 <!ENTITY cairo-version                "1.12.16">
 <!ENTITY cairomm-version              "1.10.0">
@@ -558,9 +558,9 @@
 <!ENTITY clutter-gtk-version          "1.4.4">
 <!ENTITY freeglut-version             "2.8.1">
-<!ENTITY gdk-pixbuf-version           "2.30.6">
+<!ENTITY gdk-pixbuf-version           "2.30.7">
 <!ENTITY glu-version                  "9.0.0">
 <!ENTITY goffice010-version           "0.10.13">
 <!ENTITY gtk2-version                 "2.24.23">
-<!ENTITY gtk3-version                 "3.10.7">
+<!ENTITY gtk3-version                 "3.12.0">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.4">
@@ -614,5 +614,5 @@
 <!ENTITY polkit-gnome-version         "0.105">
 <!ENTITY gsettings-desktop-schemas-version "3.12.0">
-<!ENTITY yelp-xsl-version             "3.10.1">
+<!ENTITY yelp-xsl-version             "3.12.0">
 <!ENTITY GConf-version                "3.2.6">
 <!ENTITY libsecret-version            "0.18">
@@ -623,5 +623,5 @@
 <!ENTITY gnome-desktop-version        "3.10.2">
 <!ENTITY gnome-video-effects-version  "0.4.1">
-<!ENTITY gtksourceview-version        "3.10.2">
+<!ENTITY gtksourceview-version        "3.12.0">
 <!ENTITY libgtop-version              "2.28.5">
 <!ENTITY libpeas-version              "1.9.0">
@@ -648,5 +648,5 @@
 <!ENTITY evince-version               "3.10.3">
 <!ENTITY file-roller-version          "3.10.2.1">
-<!ENTITY gedit-version                "3.10.4">
+<!ENTITY gedit-version                "3.12.0">
 <!ENTITY gnome-calculator-version     "3.10.2">
 <!ENTITY gnome-nettool-version        "3.8.1">
Index: general/genlib/json-glib.xml
===================================================================
--- general/genlib/json-glib.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ general/genlib/json-glib.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY json-glib-download-http "&gnome-download-http;/json-glib/0.16/json-glib-&json-glib-version;.tar.xz">
-  <!ENTITY json-glib-download-ftp  "&gnome-download-ftp;/json-glib/0.16/json-glib-&json-glib-version;.tar.xz">
-  <!ENTITY json-glib-md5sum        "0c6121741956fc34933a7ebae5868ec2">
-  <!ENTITY json-glib-size          "495 KB">
-  <!ENTITY json-glib-buildsize     "12 MB">
-  <!ENTITY json-glib-time          "0.2 SBU">
+  <!ENTITY json-glib-download-http "&gnome-download-http;/json-glib/1.0/json-glib-&json-glib-version;.tar.xz">
+  <!ENTITY json-glib-download-ftp  "&gnome-download-ftp;/json-glib/1.0/json-glib-&json-glib-version;.tar.xz">
+  <!ENTITY json-glib-md5sum        "d13485f5aa3b93227bbeb689ccfb596c">
+  <!ENTITY json-glib-size          "536 KB">
+  <!ENTITY json-glib-buildsize     "11 MB (additional 2 MB for the tests)">
+  <!ENTITY json-glib-time          "0.1 SBU">
 ]>
 
Index: general/prog/vala.xml
===================================================================
--- general/prog/vala.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ general/prog/vala.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -7,8 +7,8 @@
   <!ENTITY vala-download-http "&gnome-download-http;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
   <!ENTITY vala-download-ftp  "&gnome-download-ftp;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
-  <!ENTITY vala-md5sum        "5055d3f8f897ad1a77fd38887c85a92c">
+  <!ENTITY vala-md5sum        "beddeff9c06d3c278988b237da0e7401">
   <!ENTITY vala-size          "2.6 MB">
-  <!ENTITY vala-buildsize     "125 MB (additional 2 MB to run the test suite)">
-  <!ENTITY vala-time          "0.7 SBU (additional 0.1 SBU to run the test suite)">
+  <!ENTITY vala-buildsize     "126 MB (additional 2 MB to run the test suite)">
+  <!ENTITY vala-time          "0.8 SBU (additional 0.1 SBU to run the test suite)">
 ]>
 
Index: gnome/applications/gedit.xml
===================================================================
--- gnome/applications/gedit.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ gnome/applications/gedit.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -5,10 +5,12 @@
   %general-entities;
 
-  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-md5sum        "62f9e61297487bcd2ea21ec229e8e284">
-  <!ENTITY gedit-size          "3.0 MB">
-  <!ENTITY gedit-buildsize     "100 MB (additional 1 MB for tests)">
-  <!ENTITY gedit-time          "1.0 SBU (additional 1SBU for tests)">
+<!--  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor;/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor;/gedit-&gedit-version;.tar.xz">-->
+  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/3.12/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/3.12/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-md5sum        "d603299a2f885e48d8ba1cf8f16e3b6c">
+  <!ENTITY gedit-size          "2.8 MB">
+  <!ENTITY gedit-buildsize     "98 MB (additional 1 MB for tests)">
+  <!ENTITY gedit-time          "1.0 SBU (additional 0.1 SBU for tests)">
 ]>
 
@@ -93,5 +95,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gtk-doc"/> and
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="vala"/>, and
       <ulink url="https://launchpad.net/zeitgeist/">Zeitgeist</ulink>
     </para>
@@ -164,5 +167,5 @@
         </seg>
         <seg>
-          /usr/include/gedit-3.0,
+          /usr/include/gedit-3.12,
           /usr/lib/gedit,
           /usr/libexec/gedit,
Index: gnome/platform/gtksourceview.xml
===================================================================
--- gnome/platform/gtksourceview.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ gnome/platform/gtksourceview.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -5,10 +5,14 @@
   %general-entities;
 
-  <!ENTITY gtksourceview-download-http
+<!--  <!ENTITY gtksourceview-download-http
     "&gnome-download-http;/gtksourceview/&gnome-minor;/gtksourceview-&gtksourceview-version;.tar.xz">
   <!ENTITY gtksourceview-download-ftp
-    "&gnome-download-ftp;/gtksourceview/&gnome-minor;/gtksourceview-&gtksourceview-version;.tar.xz">
-  <!ENTITY gtksourceview-md5sum        "64cabe12716f43b36092be398e7d7912">
-  <!ENTITY gtksourceview-size          "1.3 MB">
+    "&gnome-download-ftp;/gtksourceview/&gnome-minor;/gtksourceview-&gtksourceview-version;.tar.xz">-->
+  <!ENTITY gtksourceview-download-http
+    "&gnome-download-http;/gtksourceview/3.12/gtksourceview-&gtksourceview-version;.tar.xz">
+  <!ENTITY gtksourceview-download-ftp
+    "&gnome-download-ftp;/gtksourceview/3.12/gtksourceview-&gtksourceview-version;.tar.xz">
+  <!ENTITY gtksourceview-md5sum        "8850fc0aee4893668ede37a30ef05e85">
+  <!ENTITY gtksourceview-size          "1.2 MB">
   <!ENTITY gtksourceview-buildsize     "39 MB (additional 1 MB for the tests)">
   <!ENTITY gtksourceview-time          "0.3 SBU (additional 0.1 SBU for the tests)">
Index: gnome/platform/yelp-xsl.xml
===================================================================
--- gnome/platform/yelp-xsl.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ gnome/platform/yelp-xsl.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -5,9 +5,11 @@
   %general-entities;
 
-  <!ENTITY yelp-xsl-download-http "&gnome-download-http;/yelp-xsl/&gnome-minor;/yelp-xsl-&yelp-xsl-version;.tar.xz">
-  <!ENTITY yelp-xsl-download-ftp  "&gnome-download-ftp;/yelp-xsl/&gnome-minor;/yelp-xsl-&yelp-xsl-version;.tar.xz">
-  <!ENTITY yelp-xsl-md5sum        "ce22edbedc8c223960953689c677a6de">
-  <!ENTITY yelp-xsl-size          "584 KB">
-  <!ENTITY yelp-xsl-buildsize     "9.6 MB">
+<!--  <!ENTITY yelp-xsl-download-http "&gnome-download-http;/yelp-xsl/&gnome-minor;/yelp-xsl-&yelp-xsl-version;.tar.xz">
+  <!ENTITY yelp-xsl-download-ftp  "&gnome-download-ftp;/yelp-xsl/&gnome-minor;/yelp-xsl-&yelp-xsl-version;.tar.xz">-->
+  <!ENTITY yelp-xsl-download-http "&gnome-download-http;/yelp-xsl/3.12/yelp-xsl-&yelp-xsl-version;.tar.xz">
+  <!ENTITY yelp-xsl-download-ftp  "&gnome-download-ftp;/yelp-xsl/3.12/yelp-xsl-&yelp-xsl-version;.tar.xz">
+  <!ENTITY yelp-xsl-md5sum        "662317dc4f6aeafce0d4ffb2b3766115">
+  <!ENTITY yelp-xsl-size          "552 KB">
+  <!ENTITY yelp-xsl-buildsize     "9.5 MB">
   <!ENTITY yelp-xsl-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ introduction/welcome/changelog.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -49,4 +49,44 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - Update to gedit-3.12.0. Partially fixes
+          <ulink url="&blfs-ticket-root;4862">#4862</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to vala-0.24.0. Fixes
+          <ulink url="&blfs-ticket-root;4875">#4875</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gtksourceview-3.12.0. Partially fixes
+          <ulink url="&blfs-ticket-root;4862">#4862</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to yelp-xsl-3.12.0. Partially fixes
+          <ulink url="&blfs-ticket-root;4862">#4862</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gtk+-3.12.0. Fixes
+          <ulink url="&blfs-ticket-root;4861">#4861</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gdk-pixbuf-2.30.7. Fixes
+          <ulink url="&blfs-ticket-root;4869">#4869</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to json-glib-1.0.0. Fixes
+          <ulink url="&blfs-ticket-root;4872">#4872</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to at-spi2-atk-2.12.0. Fixes
+          <ulink url="&blfs-ticket-root;4860">#4860</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to at-spi2-core-2.12.0. Fixes
+          <ulink url="&blfs-ticket-root;4859">#4859</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to atk-2.12.0. Fixes
+          <ulink url="&blfs-ticket-root;4858">#4858</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[fernando] - Archive PyAtSpi2-2.10.0. Fixes
           <ulink url="&blfs-ticket-root;4853">#4853</ulink>.</para>
Index: x/lib/at-spi2-atk.xml
===================================================================
--- x/lib/at-spi2-atk.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ x/lib/at-spi2-atk.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -6,11 +6,11 @@
 
   <!ENTITY at-spi2-atk-download-http
-           "&gnome-download-http;/at-spi2-atk/2.10/at-spi2-atk-&at-spi2-atk-version;.tar.xz">
+           "&gnome-download-http;/at-spi2-atk/2.12/at-spi2-atk-&at-spi2-atk-version;.tar.xz">
   <!ENTITY at-spi2-atk-download-ftp
-           "&gnome-download-ftp;/at-spi2-atk/2.10/at-spi2-atk-&at-spi2-atk-version;.tar.xz">
-  <!ENTITY at-spi2-atk-md5sum        "7b13a2ee1a8b6d1524837a14b3874ddf">
-  <!ENTITY at-spi2-atk-size          "268 KB">
-  <!ENTITY at-spi2-atk-buildsize     "6.0 MB">
-  <!ENTITY at-spi2-atk-time          "less than 0.1 SBU">
+           "&gnome-download-ftp;/at-spi2-atk/2.12/at-spi2-atk-&at-spi2-atk-version;.tar.xz">
+  <!ENTITY at-spi2-atk-md5sum        "aafc5e1bb17cd3ad440f6350e7a021c1">
+  <!ENTITY at-spi2-atk-size          "276 KB">
+  <!ENTITY at-spi2-atk-buildsize     "6.2 MB (additional 0.1 MB for the tests)">
+  <!ENTITY at-spi2-atk-time          "0.1 SBU">
 ]>
 
Index: x/lib/at-spi2-core.xml
===================================================================
--- x/lib/at-spi2-core.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ x/lib/at-spi2-core.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -6,11 +6,11 @@
 
   <!ENTITY at-spi2-core-download-http
-           "&gnome-download-http;/at-spi2-core/2.10/at-spi2-core-&at-spi2-core-version;.tar.xz">
+           "&gnome-download-http;/at-spi2-core/2.12/at-spi2-core-&at-spi2-core-version;.tar.xz">
   <!ENTITY at-spi2-core-download-ftp
-           "&gnome-download-ftp;/at-spi2-core/2.10/at-spi2-core-&at-spi2-core-version;.tar.xz">
-  <!ENTITY at-spi2-core-md5sum        "d4a198201f6189fb248f3edd19efe39c">
-  <!ENTITY at-spi2-core-size          "436 KB">
+           "&gnome-download-ftp;/at-spi2-core/2.12/at-spi2-core-&at-spi2-core-version;.tar.xz">
+  <!ENTITY at-spi2-core-md5sum        "b12ad0e0924706f5e7f51216241068ef">
+  <!ENTITY at-spi2-core-size          "448 KB">
   <!ENTITY at-spi2-core-buildsize     "13 MB">
-  <!ENTITY at-spi2-core-time          "0.1 SBU">
+  <!ENTITY at-spi2-core-time          "0.2 SBU">
 ]>
 
@@ -153,6 +153,5 @@
         <seg>
           /etc/at-spi2,
-          /usr/include/at-spi-2.0,
-          /usr/lib/at-spi2-core, and
+          /usr/include/at-spi-2.0, and
           /usr/share/gtk-doc/html/libatspi
         </seg>
Index: x/lib/atk.xml
===================================================================
--- x/lib/atk.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ x/lib/atk.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY atk-download-http "&gnome-download-http;/atk/2.10/atk-&atk-version;.tar.xz">
-  <!ENTITY atk-download-ftp  "&gnome-download-ftp;/atk/2.10/atk-&atk-version;.tar.xz">
-  <!ENTITY atk-md5sum        "e77833d4445ebe6842e9f9a0667b0be7">
-  <!ENTITY atk-size          "628 KB">
-  <!ENTITY atk-buildsize     "13 MB">
+  <!ENTITY atk-download-http "&gnome-download-http;/atk/2.12/atk-&atk-version;.tar.xz">
+  <!ENTITY atk-download-ftp  "&gnome-download-ftp;/atk/2.12/atk-&atk-version;.tar.xz">
+  <!ENTITY atk-md5sum        "930238dec55fdbf8eda9975b44f07b76">
+  <!ENTITY atk-size          "676 KB">
+  <!ENTITY atk-buildsize     "15 MB">
   <!ENTITY atk-time          "0.1 SBU">
 ]>
Index: x/lib/gdk-pixbuf.xml
===================================================================
--- x/lib/gdk-pixbuf.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ x/lib/gdk-pixbuf.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -9,8 +9,8 @@
   <!ENTITY gdk-pixbuf-download-ftp
            "&gnome-download-ftp;/gdk-pixbuf/2.30/gdk-pixbuf-&gdk-pixbuf-version;.tar.xz">
-  <!ENTITY gdk-pixbuf-md5sum        "eac7e50ac656637206cf5a91351b59f9">
+  <!ENTITY gdk-pixbuf-md5sum        "1195d26f14adfe99ff0878d37678a70a">
   <!ENTITY gdk-pixbuf-size          "1.3 MB">
   <!ENTITY gdk-pixbuf-buildsize     "25 MB (additional 1 MB for the tests and 1 MB to rebuild and install the API documentation)">
-  <!ENTITY gdk-pixbuf-time          "0.3 SBU (additional 0.4 SBU to run the test suite and less than 0.1 SBU to rebuild and install the API documentation)">
+  <!ENTITY gdk-pixbuf-time          "0.3 SBU (additional 0.3 SBU to run the test suite and less than 0.1 SBU to rebuild and install the API documentation)">
 ]>
 
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 525103b5ee730949f8e36e3f01cb42abf46d08d2)
+++ x/lib/gtk+3.xml	(revision 7007944b3143427a1a2ea8d9427dd0cea2c9b5c0)
@@ -5,12 +5,10 @@
   %general-entities;
 
-  <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/3.10/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/3.10/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "18a81944a8506231529a76bf2b68372b">
-  <!ENTITY gtk3-size          "14 MB">
-  <!ENTITY gtk3-buildsize     "369 MB (additional 4 MB for the test suite and
-                               16 MB to rebuild the docs)">
-  <!ENTITY gtk3-time          "4 SBU (additional 0.4 SBU for the test suite
-                               and 2.5 SBU to rebuild the docs)">
+  <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/3.12/gtk+-&gtk3-version;.tar.xz">
+  <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/3.12/gtk+-&gtk3-version;.tar.xz">
+  <!ENTITY gtk3-md5sum        "4e493fb68cded7420a7d8bcebdf13811">
+  <!ENTITY gtk3-size          "15 MB">
+  <!ENTITY gtk3-buildsize     "380 MB (additional 4 MB for the test suite and 19 MB to rebuild the docs)">
+  <!ENTITY gtk3-time          "4.1 SBU (additional 0.4 SBU for the test suite and 3.5 SBU to rebuild the docs)">
 ]>
 
@@ -94,4 +92,6 @@
       <xref linkend="docbook-utils"/>,
       <xref linkend="gtk-doc"/>,
+      <xref linkend="json-glib"/>,
+      <ulink url="http://ftp.acc.umu.se/pub/gnome/sources/rest/">rest</ulink>,
       <ulink url="http://xkbcommon.org/">libxkbcommon</ulink>, and
       <ulink url="http://wayland.freedesktop.org/">Wayland</ulink>